default['Win2016STIG']['XCCDF_result']['Manage'] = true

default['Win2016STIG']['powershell_package_Source'] = 'PSGallery'

# R-101009 WN16-AU-000285
default['Win2016STIG']['stigrule_101009']['Manage'] = true
default['Win2016STIG']['stigrule_101009']['Title'] = "Windows 2016 must be configured to audit Object Access - Other Object Access Events successes."
default['Win2016STIG']['stigrule_101009']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_101009']['Setting']['Other_Object_Access_Events_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_101009']['Setting']['Other_Object_Access_Events_Ensure'] = 'Present'

# R-101011 WN16-AU-000286
default['Win2016STIG']['stigrule_101011']['Manage'] = true
default['Win2016STIG']['stigrule_101011']['Title'] = "Windows 2016 must be configured to audit Object Access - Other Object Access Events failures."
default['Win2016STIG']['stigrule_101011']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_101011']['Setting']['Other_Object_Access_Events_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_101011']['Setting']['Other_Object_Access_Events_Ensure'] = 'Present'

# R-87939 WN16-00-000350
default['Win2016STIG']['stigrule_87939']['Manage'] = true
default['Win2016STIG']['stigrule_87939']['Title'] = "The Fax Server role must not be installed."
default['Win2016STIG']['stigrule_87939']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87939']['Setting']['Fax_Ensure'] = :remove

# R-87941 WN16-00-000360
default['Win2016STIG']['stigrule_87941']['Manage'] = true
default['Win2016STIG']['stigrule_87941']['Title'] = "The Microsoft FTP service must not be installed unless required."
default['Win2016STIG']['stigrule_87941']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87941']['Setting']['Web_Ftp_Service_Ensure'] = :remove

# R-87943 WN16-00-000370
default['Win2016STIG']['stigrule_87943']['Manage'] = true
default['Win2016STIG']['stigrule_87943']['Title'] = "The Peer Name Resolution Protocol must not be installed."
default['Win2016STIG']['stigrule_87943']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87943']['Setting']['PNRP_Ensure'] = :remove

# R-87945 WN16-00-000380
default['Win2016STIG']['stigrule_87945']['Manage'] = true
default['Win2016STIG']['stigrule_87945']['Title'] = "Simple TCP/IP Services must not be installed."
default['Win2016STIG']['stigrule_87945']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87945']['Setting']['Simple_TCPIP_Ensure'] = :remove

# R-87947 WN16-00-000390
default['Win2016STIG']['stigrule_87947']['Manage'] = true
default['Win2016STIG']['stigrule_87947']['Title'] = "The Telnet Client must not be installed."
default['Win2016STIG']['stigrule_87947']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87947']['Setting']['Telnet_Client_Ensure'] = :remove

# R-87949 WN16-00-000400
default['Win2016STIG']['stigrule_87949']['Manage'] = true
default['Win2016STIG']['stigrule_87949']['Title'] = "The TFTP Client must not be installed."
default['Win2016STIG']['stigrule_87949']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87949']['Setting']['TFTP_Client_Ensure'] = :remove

# R-87951 WN16-00-000410
default['Win2016STIG']['stigrule_87951']['Manage'] = true
default['Win2016STIG']['stigrule_87951']['Title'] = "The Server Message Block (SMB) v1 protocol must be uninstalled."
default['Win2016STIG']['stigrule_87951']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87951']['Setting']['FS_SMB1_Ensure'] = :remove

# R-87953 WN16-00-000420
default['Win2016STIG']['stigrule_87953']['Manage'] = true
default['Win2016STIG']['stigrule_87953']['Title'] = "Windows PowerShell 2.0 must not be installed."
default['Win2016STIG']['stigrule_87953']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87953']['Setting']['PowerShell_v2_Ensure'] = :remove

# R-87959 WN16-00-000450
# Please choose an appropriate DoD time source from http://tycho.usno.navy.mil/ntp.html
default['Win2016STIG']['stigrule_87959']['Manage'] = false
default['Win2016STIG']['stigrule_87959']['Title'] = "The time service must synchronize with an appropriate DoD time source."
default['Win2016STIG']['stigrule_87959']['Severity'] = 'low'
default['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\Parameters'
default['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_ValueType'] = :string
default['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_ValueData'] = 'your|DoD|time|server|url|here'
default['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['Type_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\Parameters'
default['Win2016STIG']['stigrule_87959']['Setting']['Type_ValueType'] = :string
default['Win2016STIG']['stigrule_87959']['Setting']['Type_ValueData'] = 'NTP'
default['Win2016STIG']['stigrule_87959']['Setting']['Type_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\TimeProviders\NtpClient'
default['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_ValueType'] = :dword
default['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_ValueData'] = '2'
default['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\TimeProviders\NtpClient'
default['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_ValueType'] = :dword
default['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_ValueData'] = '0'
default['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\TimeProviders\NtpClient'
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_ValueType'] = :dword
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_ValueData'] = '7'
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\TimeProviders\NtpClient'
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_ValueType'] = :dword
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_ValueData'] = '15'
default['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_Ensure'] = :create

default['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\W32time\TimeProviders\NtpClient'
default['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_ValueType'] = :dword
default['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_ValueData'] = '3600'
default['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_Ensure'] = :create

# R-87961 WN16-AC-000010
default['Win2016STIG']['stigrule_87961']['Manage'] = true
default['Win2016STIG']['stigrule_87961']['Title'] = "Windows 2016 account lockout duration must be configured to 15 minutes or greater."
default['Win2016STIG']['stigrule_87961']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87961']['Setting']['Account_lockout_duration'] = 15

# R-87963 WN16-AC-000020
default['Win2016STIG']['stigrule_87963']['Manage'] = true
default['Win2016STIG']['stigrule_87963']['Title'] = "Windows Server 2016 must have the number of allowed bad logon attempts configured to three or less."
default['Win2016STIG']['stigrule_87963']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87963']['Setting']['Account_lockout_threshold'] = 3

# R-87965 WN16-AC-000030
default['Win2016STIG']['stigrule_87965']['Manage'] = true
default['Win2016STIG']['stigrule_87965']['Title'] = "Windows Server 2016 must have the period of time before the bad logon counter is reset configured to 15 minutes or greater."
default['Win2016STIG']['stigrule_87965']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87965']['Setting']['Reset_account_lockout_counter_after'] = 15

# R-87967 WN16-AC-000040
default['Win2016STIG']['stigrule_87967']['Manage'] = true
default['Win2016STIG']['stigrule_87967']['Title'] = "Windows Server 2016 password history must be configured to 24 passwords remembered."
default['Win2016STIG']['stigrule_87967']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87967']['Setting']['Enforce_password_history'] = 24

# R-87969 WN16-AC-000050
default['Win2016STIG']['stigrule_87969']['Manage'] = true
default['Win2016STIG']['stigrule_87969']['Title'] = "Windows Server 2016 maximum password age must be configured to 60 days or less."
default['Win2016STIG']['stigrule_87969']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87969']['Setting']['Maximum_Password_Age'] = 60

# R-87971 WN16-AC-000060
default['Win2016STIG']['stigrule_87971']['Manage'] = true
default['Win2016STIG']['stigrule_87971']['Title'] = "Windows Server 2016 minimum password age must be configured to at least one day."
default['Win2016STIG']['stigrule_87971']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87971']['Setting']['Minimum_Password_Age'] = 1

# R-87973 WN16-AC-000070
default['Win2016STIG']['stigrule_87973']['Manage'] = true
default['Win2016STIG']['stigrule_87973']['Title'] = "Windows Server 2016 minimum password length must be configured to 14 characters."
default['Win2016STIG']['stigrule_87973']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87973']['Setting']['Minimum_Password_Length'] = 14

# R-87975 WN16-AC-000080
default['Win2016STIG']['stigrule_87975']['Manage'] = true
default['Win2016STIG']['stigrule_87975']['Title'] = "Windows Server 2016 must have the built-in Windows password complexity policy enabled."
default['Win2016STIG']['stigrule_87975']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_87975']['Setting']['Password_must_meet_complexity_requirements'] = 'Enabled'

# R-87977 WN16-AC-000090
default['Win2016STIG']['stigrule_87977']['Manage'] = true
default['Win2016STIG']['stigrule_87977']['Title'] = "Windows Server 2016 reversible password encryption must be disabled."
default['Win2016STIG']['stigrule_87977']['Severity'] = 'high'
default['Win2016STIG']['stigrule_87977']['Setting']['Store_passwords_using_reversible_encryption'] = 'Disabled'

# R-88057 WN16-AU-000030
default['Win2016STIG']['stigrule_88057']['Manage'] = true
default['Win2016STIG']['stigrule_88057']['Title'] = "Permissions for the Application event log must prevent access by non-privileged accounts."
default['Win2016STIG']['stigrule_88057']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\Application.evtx'
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Inherits'] = false
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_1'] = :full_control
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_2'] = :full_control
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_2'] = 'SYSTEM'
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_3'] = :full_control
default['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_3'] = 'Administrators'

# R-88059 WN16-AU-000040
default['Win2016STIG']['stigrule_88059']['Manage'] = true
default['Win2016STIG']['stigrule_88059']['Title'] = "Permissions for the Security event log must prevent access by non-privileged accounts."
default['Win2016STIG']['stigrule_88059']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\Security.evtx'
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Inherits'] = false
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_1'] = :full_control
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_2'] = :full_control
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_2'] = 'SYSTEM'
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_3'] = :full_control
default['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_3'] = 'Administrators'

# R-88061 WN16-AU-000050
default['Win2016STIG']['stigrule_88061']['Manage'] = true
default['Win2016STIG']['stigrule_88061']['Title'] = "Permissions for the System event log must prevent access by non-privileged accounts."
default['Win2016STIG']['stigrule_88061']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\System.evtx'
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Inherits'] = false
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_1'] = :full_control
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_2'] = :full_control
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_2'] = 'SYSTEM'
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_3'] = :full_control
default['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_3'] = 'Administrators'

# R-88065 WN16-AU-000070
default['Win2016STIG']['stigrule_88065']['Manage'] = true
default['Win2016STIG']['stigrule_88065']['Title'] = "Windows Server 2016 must be configured to audit Account Logon - Credential Validation successes."
default['Win2016STIG']['stigrule_88065']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88065']['Setting']['Credential_Validation_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88065']['Setting']['Credential_Validation_Ensure'] = 'Present'

# R-88067 WN16-AU-000080
default['Win2016STIG']['stigrule_88067']['Manage'] = true
default['Win2016STIG']['stigrule_88067']['Title'] = "Windows Server 2016 must be configured to audit Account Logon - Credential Validation failures."
default['Win2016STIG']['stigrule_88067']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88067']['Setting']['Credential_Validation_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88067']['Setting']['Credential_Validation_Ensure'] = 'Present'

# R-88069 WN16-DC-000230
default['Win2016STIG']['stigrule_88069']['Manage'] = true
default['Win2016STIG']['stigrule_88069']['Title'] = "Windows Server 2016 must be configured to audit Account Management - Computer Account Management successes."
default['Win2016STIG']['stigrule_88069']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88069']['Setting']['Computer_Account_Management_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88069']['Setting']['Computer_Account_Management_Ensure'] = 'Present'

# R-88071 WN16-AU-000100
default['Win2016STIG']['stigrule_88071']['Manage'] = true
default['Win2016STIG']['stigrule_88071']['Title'] = "Windows Server 2016 must be configured to audit Account Management - Other Account Management Events successes."
default['Win2016STIG']['stigrule_88071']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88071']['Setting']['Other_Account_Management_Events_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88071']['Setting']['Other_Account_Management_Events_Ensure'] = 'Present'

# R-88075 WN16-AU-000120
default['Win2016STIG']['stigrule_88075']['Manage'] = true
default['Win2016STIG']['stigrule_88075']['Title'] = "Windows Server 2016 must be configured to audit Account Management - Security Group Management successes."
default['Win2016STIG']['stigrule_88075']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88075']['Setting']['Security_Group_Management_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88075']['Setting']['Security_Group_Management_Ensure'] = 'Present'

# R-88079 WN16-AU-000140
default['Win2016STIG']['stigrule_88079']['Manage'] = true
default['Win2016STIG']['stigrule_88079']['Title'] = "Windows Server 2016 must be configured to audit Account Management - User Account Management successes."
default['Win2016STIG']['stigrule_88079']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88079']['Setting']['User_Account_Management_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88079']['Setting']['User_Account_Management_Ensure'] = 'Present'

# R-88081 WN16-AU-000150
default['Win2016STIG']['stigrule_88081']['Manage'] = true
default['Win2016STIG']['stigrule_88081']['Title'] = "Windows Server 2016 must be configured to audit Account Management - User Account Management failures."
default['Win2016STIG']['stigrule_88081']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88081']['Setting']['User_Account_Management_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88081']['Setting']['User_Account_Management_Ensure'] = 'Present'

# R-88083 WN16-AU-000160
default['Win2016STIG']['stigrule_88083']['Manage'] = true
default['Win2016STIG']['stigrule_88083']['Title'] = "Windows Server 2016 must be configured to audit Detailed Tracking - Plug and Play Events successes."
default['Win2016STIG']['stigrule_88083']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88083']['Setting']['PNP_Activity_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88083']['Setting']['PNP_Activity_Ensure'] = 'Present'

# R-88085 WN16-AU-000170
default['Win2016STIG']['stigrule_88085']['Manage'] = true
default['Win2016STIG']['stigrule_88085']['Title'] = "Windows Server 2016 must be configured to audit Detailed Tracking - Process Creation successes."
default['Win2016STIG']['stigrule_88085']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88085']['Setting']['Process_Creation_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88085']['Setting']['Process_Creation_Ensure'] = 'Present'

# R-88087 WN16-DC-000240
default['Win2016STIG']['stigrule_88087']['Manage'] = true
default['Win2016STIG']['stigrule_88087']['Title'] = "Windows Server 2016 must be configured to audit DS Access - Directory Service Access successes."
default['Win2016STIG']['stigrule_88087']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88087']['Setting']['Directory_Service_Access_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88087']['Setting']['Directory_Service_Access_Ensure'] = 'Present'

# R-88089 WN16-DC-000250
default['Win2016STIG']['stigrule_88089']['Manage'] = true
default['Win2016STIG']['stigrule_88089']['Title'] = "Windows Server 2016 must be configured to audit DS Access - Directory Service Access failures."
default['Win2016STIG']['stigrule_88089']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88089']['Setting']['Directory_Service_Access_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88089']['Setting']['Directory_Service_Access_Ensure'] = 'Present'

# R-88091 WN16-DC-000260
default['Win2016STIG']['stigrule_88091']['Manage'] = true
default['Win2016STIG']['stigrule_88091']['Title'] = "Windows Server 2016 must be configured to audit DS Access - Directory Service Changes successes."
default['Win2016STIG']['stigrule_88091']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88091']['Setting']['Directory_Service_Changes_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88091']['Setting']['Directory_Service_Changes_Ensure'] = 'Present'

# R-88093 WN16-DC-000270
default['Win2016STIG']['stigrule_88093']['Manage'] = true
default['Win2016STIG']['stigrule_88093']['Title'] = "Windows Server 2016 must be configured to audit DS Access - Directory Service Changes failures."
default['Win2016STIG']['stigrule_88093']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88093']['Setting']['Directory_Service_Changes_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88093']['Setting']['Directory_Service_Changes_Ensure'] = 'Present'

# R-88095 WN16-AU-000220
default['Win2016STIG']['stigrule_88095']['Manage'] = true
default['Win2016STIG']['stigrule_88095']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Account Lockout successes."
default['Win2016STIG']['stigrule_88095']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88095']['Setting']['Account_Lockout_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88095']['Setting']['Account_Lockout_Ensure'] = 'Present'

# R-88097 WN16-AU-000230
default['Win2016STIG']['stigrule_88097']['Manage'] = true
default['Win2016STIG']['stigrule_88097']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Account Lockout failures."
default['Win2016STIG']['stigrule_88097']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88097']['Setting']['Account_Lockout_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88097']['Setting']['Account_Lockout_Ensure'] = 'Present'

# R-88099 WN16-AU-000240
default['Win2016STIG']['stigrule_88099']['Manage'] = true
default['Win2016STIG']['stigrule_88099']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Group Membership successes."
default['Win2016STIG']['stigrule_88099']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88099']['Setting']['Group_Membership_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88099']['Setting']['Group_Membership_Ensure'] = 'Present'

# R-88101 WN16-AU-000250
default['Win2016STIG']['stigrule_88101']['Manage'] = true
default['Win2016STIG']['stigrule_88101']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Logoff successes."
default['Win2016STIG']['stigrule_88101']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88101']['Setting']['Logoff_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88101']['Setting']['Logoff_Ensure'] = 'Present'

# R-88103 WN16-AU-000260
default['Win2016STIG']['stigrule_88103']['Manage'] = true
default['Win2016STIG']['stigrule_88103']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Logon successes."
default['Win2016STIG']['stigrule_88103']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88103']['Setting']['Logon_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88103']['Setting']['Logon_Ensure'] = 'Present'

# R-88105 WN16-AU-000270
default['Win2016STIG']['stigrule_88105']['Manage'] = true
default['Win2016STIG']['stigrule_88105']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Logon failures."
default['Win2016STIG']['stigrule_88105']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88105']['Setting']['Logon_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88105']['Setting']['Logon_Ensure'] = 'Present'

# R-88107 WN16-AU-000280
default['Win2016STIG']['stigrule_88107']['Manage'] = true
default['Win2016STIG']['stigrule_88107']['Title'] = "Windows Server 2016 must be configured to audit Logon/Logoff - Special Logon successes."
default['Win2016STIG']['stigrule_88107']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88107']['Setting']['Special_Logon_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88107']['Setting']['Special_Logon_Ensure'] = 'Present'

# R-88109 WN16-AU-000290
default['Win2016STIG']['stigrule_88109']['Manage'] = true
default['Win2016STIG']['stigrule_88109']['Title'] = "Windows Server 2016 must be configured to audit Object Access - Removable Storage successes."
default['Win2016STIG']['stigrule_88109']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88109']['Setting']['Removable_Storage_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88109']['Setting']['Removable_Storage_Ensure'] = 'Present'

# R-88111 WN16-AU-000300
default['Win2016STIG']['stigrule_88111']['Manage'] = true
default['Win2016STIG']['stigrule_88111']['Title'] = "Windows Server 2016 must be configured to audit Object Access - Removable Storage failures."
default['Win2016STIG']['stigrule_88111']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88111']['Setting']['Removable_Storage_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88111']['Setting']['Removable_Storage_Ensure'] = 'Present'

# R-88113 WN16-AU-000310
default['Win2016STIG']['stigrule_88113']['Manage'] = true
default['Win2016STIG']['stigrule_88113']['Title'] = "Windows Server 2016 must be configured to audit Policy Change - Audit Policy Change successes."
default['Win2016STIG']['stigrule_88113']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88113']['Setting']['Policy_Change_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88113']['Setting']['Policy_Change_Ensure'] = 'Present'

# R-88115 WN16-AU-000320
default['Win2016STIG']['stigrule_88115']['Manage'] = true
default['Win2016STIG']['stigrule_88115']['Title'] = "Windows Server 2016 must be configured to audit Policy Change - Audit Policy Change failures."
default['Win2016STIG']['stigrule_88115']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88115']['Setting']['Policy_Change_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88115']['Setting']['Policy_Change_Ensure'] = 'Present'

# R-88117 WN16-AU-000330
default['Win2016STIG']['stigrule_88117']['Manage'] = true
default['Win2016STIG']['stigrule_88117']['Title'] = "Windows Server 2016 must be configured to audit Policy Change - Authentication Policy Change successes."
default['Win2016STIG']['stigrule_88117']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88117']['Setting']['Authentication_Policy_Change_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88117']['Setting']['Authentication_Policy_Change_Ensure'] = 'Present'

# R-88119 WN16-AU-000340
default['Win2016STIG']['stigrule_88119']['Manage'] = true
default['Win2016STIG']['stigrule_88119']['Title'] = "Windows Server 2016 must be configured to audit Policy Change - Authorization Policy Change successes."
default['Win2016STIG']['stigrule_88119']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88119']['Setting']['Authorization_Policy_Change_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88119']['Setting']['Authorization_Policy_Change_Ensure'] = 'Present'

# R-88121 WN16-AU-000350
default['Win2016STIG']['stigrule_88121']['Manage'] = true
default['Win2016STIG']['stigrule_88121']['Title'] = "Windows Server 2016 must be configured to audit Privilege Use - Sensitive Privilege Use successes."
default['Win2016STIG']['stigrule_88121']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88121']['Setting']['Sensitive_Privilege_Use_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88121']['Setting']['Sensitive_Privilege_Use_Ensure'] = 'Present'

# R-88123 WN16-AU-000360
default['Win2016STIG']['stigrule_88123']['Manage'] = true
default['Win2016STIG']['stigrule_88123']['Title'] = "Windows Server 2016 must be configured to audit Privilege Use - Sensitive Privilege Use failures."
default['Win2016STIG']['stigrule_88123']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88123']['Setting']['Sensitive_Privilege_Use_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88123']['Setting']['Sensitive_Privilege_Use_Ensure'] = 'Present'

# R-88125 WN16-AU-000370
default['Win2016STIG']['stigrule_88125']['Manage'] = true
default['Win2016STIG']['stigrule_88125']['Title'] = "Windows Server 2016 must be configured to audit System - IPsec Driver successes."
default['Win2016STIG']['stigrule_88125']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88125']['Setting']['IPsec_Driver_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88125']['Setting']['IPsec_Driver_Ensure'] = 'Present'

# R-88127 WN16-AU-000380
default['Win2016STIG']['stigrule_88127']['Manage'] = true
default['Win2016STIG']['stigrule_88127']['Title'] = "Windows Server 2016 must be configured to audit System - IPsec Driver failures."
default['Win2016STIG']['stigrule_88127']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88127']['Setting']['IPsec_Driver_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88127']['Setting']['IPsec_Driver_Ensure'] = 'Present'

# R-88129 WN16-AU-000390
default['Win2016STIG']['stigrule_88129']['Manage'] = true
default['Win2016STIG']['stigrule_88129']['Title'] = "Windows Server 2016 must be configured to audit System - Other System Events successes."
default['Win2016STIG']['stigrule_88129']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88129']['Setting']['Other_System_Events_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88129']['Setting']['Other_System_Events_Ensure'] = 'Present'

# R-88131 WN16-AU-000400
default['Win2016STIG']['stigrule_88131']['Manage'] = true
default['Win2016STIG']['stigrule_88131']['Title'] = "Windows Server 2016 must be configured to audit System - Other System Events failures."
default['Win2016STIG']['stigrule_88131']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88131']['Setting']['Other_System_Events_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88131']['Setting']['Other_System_Events_Ensure'] = 'Present'

# R-88133 WN16-AU-000410
default['Win2016STIG']['stigrule_88133']['Manage'] = true
default['Win2016STIG']['stigrule_88133']['Title'] = "Windows Server 2016 must be configured to audit System - Security State Change successes."
default['Win2016STIG']['stigrule_88133']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88133']['Setting']['Security_State_Change_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88133']['Setting']['Security_State_Change_Ensure'] = 'Present'

# R-88135 WN16-AU-000420
default['Win2016STIG']['stigrule_88135']['Manage'] = true
default['Win2016STIG']['stigrule_88135']['Title'] = "Windows Server 2016 must be configured to audit System - Security System Extension successes."
default['Win2016STIG']['stigrule_88135']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88135']['Setting']['Security_System_Extension_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88135']['Setting']['Security_System_Extension_Ensure'] = 'Present'

# R-88139 WN16-CC-000280
default['Win2016STIG']['stigrule_88139']['Manage'] = true
default['Win2016STIG']['stigrule_88139']['Title'] = "Administrator accounts must not be enumerated during elevation."
default['Win2016STIG']['stigrule_88139']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\CredUI'
default['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_ValueType'] = :dword
default['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_ValueData'] = '0'
default['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_Ensure'] = :create

# R-88141 WN16-AU-000440
default['Win2016STIG']['stigrule_88141']['Manage'] = true
default['Win2016STIG']['stigrule_88141']['Title'] = "Windows Server 2016 must be configured to audit System - System Integrity successes."
default['Win2016STIG']['stigrule_88141']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88141']['Setting']['System_Integrity_AuditFlag'] = 'Success'
default['Win2016STIG']['stigrule_88141']['Setting']['System_Integrity_Ensure'] = 'Present'

# R-88143 WN16-AU-000450
default['Win2016STIG']['stigrule_88143']['Manage'] = true
default['Win2016STIG']['stigrule_88143']['Title'] = "Windows Server 2016 must be configured to audit System - System Integrity failures."
default['Win2016STIG']['stigrule_88143']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88143']['Setting']['System_Integrity_AuditFlag'] = 'Failure'
default['Win2016STIG']['stigrule_88143']['Setting']['System_Integrity_Ensure'] = 'Present'

# R-88145 WN16-CC-000010
default['Win2016STIG']['stigrule_88145']['Manage'] = true
default['Win2016STIG']['stigrule_88145']['Title'] = "The display of slide shows on the lock screen must be disabled."
default['Win2016STIG']['stigrule_88145']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Personalization'
default['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_ValueType'] = :dword
default['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_ValueData'] = '1'
default['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_Ensure'] = :create

# R-88147 WN16-MS-000020
default['Win2016STIG']['stigrule_88147']['Manage'] = false
default['Win2016STIG']['stigrule_88147']['Title'] = "Local administrator accounts must have their privileged token filtered to prevent elevated privileges from being used over the network on domain systems."
default['Win2016STIG']['stigrule_88147']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_ValueType'] = :dword
default['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_ValueData'] = '0'
default['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_Ensure'] = :create

# R-88149 WN16-CC-000030
default['Win2016STIG']['stigrule_88149']['Manage'] = true
default['Win2016STIG']['stigrule_88149']['Title'] = "WDigest Authentication must be disabled on Windows Server 2016."
default['Win2016STIG']['stigrule_88149']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders\Wdigest'
default['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_ValueType'] = :dword
default['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_ValueData'] = '0'
default['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_Ensure'] = :create

# R-88151 WN16-CC-000040
default['Win2016STIG']['stigrule_88151']['Manage'] = true
default['Win2016STIG']['stigrule_88151']['Title'] = "Internet Protocol version 6 (IPv6) source routing must be configured to the highest protection level to prevent IP source routing."
default['Win2016STIG']['stigrule_88151']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip6\Parameters'
default['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_ValueType'] = :dword
default['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_ValueData'] = '2'
default['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_Ensure'] = :create

# R-88153 WN16-CC-000050
default['Win2016STIG']['stigrule_88153']['Manage'] = true
default['Win2016STIG']['stigrule_88153']['Title'] = "Source routing must be configured to the highest protection level to prevent Internet Protocol (IP) source routing."
default['Win2016STIG']['stigrule_88153']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters'
default['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_ValueType'] = :dword
default['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_ValueData'] = '2'
default['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_Ensure'] = :create

# R-88155 WN16-CC-000060
default['Win2016STIG']['stigrule_88155']['Manage'] = true
default['Win2016STIG']['stigrule_88155']['Title'] = "Windows Server 2016 must be configured to prevent Internet Control Message Protocol (ICMP) redirects from overriding Open Shortest Path First (OSPF)-generated routes."
default['Win2016STIG']['stigrule_88155']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters'
default['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_ValueType'] = :dword
default['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_ValueData'] = '0'
default['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_Ensure'] = :create

# R-88157 WN16-CC-000070
default['Win2016STIG']['stigrule_88157']['Manage'] = true
default['Win2016STIG']['stigrule_88157']['Title'] = "Windows Server 2016 must be configured to ignore NetBIOS name release requests except from WINS servers."
default['Win2016STIG']['stigrule_88157']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netbt\Parameters'
default['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_ValueType'] = :dword
default['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_ValueData'] = '1'
default['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_Ensure'] = :create

# R-88159 WN16-CC-000080
default['Win2016STIG']['stigrule_88159']['Manage'] = true
default['Win2016STIG']['stigrule_88159']['Title'] = "Insecure logons to an SMB server must be disabled."
default['Win2016STIG']['stigrule_88159']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\LanmanWorkstation'
default['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_ValueType'] = :dword
default['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_ValueData'] = '0'
default['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_Ensure'] = :create

# R-88161 WN16-CC-000090
default['Win2016STIG']['stigrule_88161']['Manage'] = true
default['Win2016STIG']['stigrule_88161']['Title'] = "Hardened UNC paths must be defined to require mutual authentication and integrity for at least the \\*\SYSVOL and \\*\NETLOGON shares."
default['Win2016STIG']['stigrule_88161']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\NetworkProvider\HardenedPaths'
default['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_ValueType'] = :string
default['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_ValueData'] = 'RequireMutualAuthentication=1, RequireIntegrity=1'
default['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_Ensure'] = :create

default['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\NetworkProvider\HardenedPaths'
default['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_ValueType'] = :string
default['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_ValueData'] = 'RequireMutualAuthentication=1, RequireIntegrity=1'
default['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_Ensure'] = :create

# R-88163 WN16-CC-000100
default['Win2016STIG']['stigrule_88163']['Manage'] = true
default['Win2016STIG']['stigrule_88163']['Title'] = "Command line data must be included in process creation events."
default['Win2016STIG']['stigrule_88163']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\Audit'
default['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueType'] = :dword
default['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueData'] = '1'
default['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Ensure'] = :create

# R-88165 WN16-CC-000110
# Please ensure the hardware requirements are met. See https://docs.microsoft.com/en-us/windows/security/identity-protection/credential-guard/credential-guard-requirements
default['Win2016STIG']['stigrule_88165']['Manage'] = false
default['Win2016STIG']['stigrule_88165']['Title'] = "Windows Server 2016 virtualization-based security must be enabled with the platform security level configured to Secure Boot or Secure Boot with DMA Protection."
default['Win2016STIG']['stigrule_88165']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\DeviceGuard'
default['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_ValueType'] = :dword
default['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_ValueData'] = '1'
default['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_Ensure'] = :create

default['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\DeviceGuard'
default['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_ValueType'] = :dword
default['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_ValueData'] = '1'
default['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_Ensure'] = :create

# R-88167 WN16-MS-000120
# Please ensure the hardware requirements are met. See https://docs.microsoft.com/en-us/windows/security/identity-protection/credential-guard/credential-guard-requirements
default['Win2016STIG']['stigrule_88167']['Manage'] = false
default['Win2016STIG']['stigrule_88167']['Title'] = "Windows Server 2016 must be running Credential Guard on domain-joined member servers."
default['Win2016STIG']['stigrule_88167']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\DeviceGuard'
default['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_ValueType'] = :dword
default['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_ValueData'] = '1'
default['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_Ensure'] = :create

# R-88173 WN16-CC-000140
default['Win2016STIG']['stigrule_88173']['Manage'] = true
default['Win2016STIG']['stigrule_88173']['Title'] = "Early Launch Antimalware, Boot-Start Driver Initialization Policy must prevent boot drivers identified as bad."
default['Win2016STIG']['stigrule_88173']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Policies\EarlyLaunch'
default['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_ValueType'] = :dword
default['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_ValueData'] = '1'
default['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_Ensure'] = :create

# R-88177 WN16-CC-000150
default['Win2016STIG']['stigrule_88177']['Manage'] = true
default['Win2016STIG']['stigrule_88177']['Title'] = "Group Policy objects must be reprocessed even if they have not changed."
default['Win2016STIG']['stigrule_88177']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Group Policy\{35378EAC-683F-11D2-A89A-00C04FBBCFA2}'
default['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_ValueType'] = :dword
default['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_ValueData'] = '0'
default['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_Ensure'] = :create

# R-88179 WN16-CC-000160
default['Win2016STIG']['stigrule_88179']['Manage'] = true
default['Win2016STIG']['stigrule_88179']['Title'] = "Downloading print driver packages over HTTP must be prevented."
default['Win2016STIG']['stigrule_88179']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Printers'
default['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_ValueType'] = :dword
default['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_ValueData'] = '1'
default['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_Ensure'] = :create

# R-88181 WN16-CC-000170
default['Win2016STIG']['stigrule_88181']['Manage'] = true
default['Win2016STIG']['stigrule_88181']['Title'] = "Printing over HTTP must be prevented."
default['Win2016STIG']['stigrule_88181']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Printers'
default['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_ValueType'] = :dword
default['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_ValueData'] = '1'
default['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_Ensure'] = :create

# R-88185 WN16-CC-000180
default['Win2016STIG']['stigrule_88185']['Manage'] = true
default['Win2016STIG']['stigrule_88185']['Title'] = "The network selection user interface (UI) must not be displayed on the logon screen."
default['Win2016STIG']['stigrule_88185']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\System'
default['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_ValueType'] = :dword
default['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_ValueData'] = '1'
default['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_Ensure'] = :create

# R-88187 WN16-MS-000030
default['Win2016STIG']['stigrule_88187']['Manage'] = true
default['Win2016STIG']['stigrule_88187']['Title'] = "Local users on domain-joined computers must not be enumerated."
default['Win2016STIG']['stigrule_88187']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\System'
default['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_ValueType'] = :dword
default['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_ValueData'] = '0'
default['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_Ensure'] = :create

# R-88197 WN16-CC-000210
default['Win2016STIG']['stigrule_88197']['Manage'] = true
default['Win2016STIG']['stigrule_88197']['Title'] = "Users must be prompted to authenticate when the system wakes from sleep (on battery)."
default['Win2016STIG']['stigrule_88197']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power\PowerSettings\0e796bdb-100d-47d6-a2d5-f7d2daa51f51'
default['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_ValueType'] = :dword
default['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_ValueData'] = '1'
default['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_Ensure'] = :create

# R-88201 WN16-CC-000220
default['Win2016STIG']['stigrule_88201']['Manage'] = true
default['Win2016STIG']['stigrule_88201']['Title'] = "Users must be prompted to authenticate when the system wakes from sleep (plugged in)."
default['Win2016STIG']['stigrule_88201']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power\PowerSettings\0e796bdb-100d-47d6-a2d5-f7d2daa51f51'
default['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_ValueType'] = :dword
default['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_ValueData'] = '1'
default['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_Ensure'] = :create

# R-88203 WN16-MS-000040
default['Win2016STIG']['stigrule_88203']['Manage'] = true
default['Win2016STIG']['stigrule_88203']['Title'] = "Unauthenticated Remote Procedure Call (RPC) clients must be restricted from connecting to the RPC server."
default['Win2016STIG']['stigrule_88203']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Rpc'
default['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_ValueType'] = :dword
default['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_ValueData'] = '1'
default['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_Ensure'] = :create

# R-88207 WN16-CC-000240
default['Win2016STIG']['stigrule_88207']['Manage'] = true
default['Win2016STIG']['stigrule_88207']['Title'] = "The Application Compatibility Program Inventory must be prevented from collecting data and sending the information to Microsoft."
default['Win2016STIG']['stigrule_88207']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\AppCompat'
default['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_ValueType'] = :dword
default['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_ValueData'] = '1'
default['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_Ensure'] = :create

# R-88209 WN16-CC-000250
default['Win2016STIG']['stigrule_88209']['Manage'] = true
default['Win2016STIG']['stigrule_88209']['Title'] = "AutoPlay must be turned off for non-volume devices."
default['Win2016STIG']['stigrule_88209']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_ValueType'] = :dword
default['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_ValueData'] = '1'
default['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_Ensure'] = :create

# R-88211 WN16-CC-000260
default['Win2016STIG']['stigrule_88211']['Manage'] = true
default['Win2016STIG']['stigrule_88211']['Title'] = "The default AutoRun behavior must be configured to prevent AutoRun commands."
default['Win2016STIG']['stigrule_88211']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_ValueType'] = :dword
default['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_ValueData'] = '1'
default['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_Ensure'] = :create

# R-88213 WN16-CC-000270
default['Win2016STIG']['stigrule_88213']['Manage'] = true
default['Win2016STIG']['stigrule_88213']['Title'] = "AutoPlay must be disabled for all drives."
default['Win2016STIG']['stigrule_88213']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_ValueType'] = :dword
default['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_ValueData'] = '255'
default['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_Ensure'] = :create

# R-88215 WN16-CC-000290
default['Win2016STIG']['stigrule_88215']['Manage'] = true
default['Win2016STIG']['stigrule_88215']['Title'] = "Windows Telemetry must be configured to Security or Basic."
default['Win2016STIG']['stigrule_88215']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\DataCollection'
default['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_ValueType'] = :dword
default['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_ValueData'] = '1'
default['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_Ensure'] = :create

# R-88217 WN16-CC-000300
default['Win2016STIG']['stigrule_88217']['Manage'] = true
default['Win2016STIG']['stigrule_88217']['Title'] = "The Application event log size must be configured to 32768 KB or greater."
default['Win2016STIG']['stigrule_88217']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\Application'
default['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_ValueType'] = :dword
default['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_ValueData'] = '32768'
default['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_Ensure'] = :create

# R-88219 WN16-CC-000310
default['Win2016STIG']['stigrule_88219']['Manage'] = true
default['Win2016STIG']['stigrule_88219']['Title'] = "The Security event log size must be configured to 196608 KB or greater."
default['Win2016STIG']['stigrule_88219']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\Security'
default['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_ValueType'] = :dword
default['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_ValueData'] = '196608'
default['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_Ensure'] = :create

# R-88221 WN16-CC-000320
default['Win2016STIG']['stigrule_88221']['Manage'] = true
default['Win2016STIG']['stigrule_88221']['Title'] = "The System event log size must be configured to 32768 KB or greater."
default['Win2016STIG']['stigrule_88221']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\System'
default['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_ValueType'] = :dword
default['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_ValueData'] = '32768'
default['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_Ensure'] = :create

# R-88223 WN16-CC-000330
default['Win2016STIG']['stigrule_88223']['Manage'] = true
default['Win2016STIG']['stigrule_88223']['Title'] = "Windows Server 2016 Windows SmartScreen must be enabled."
default['Win2016STIG']['stigrule_88223']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\System'
default['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_ValueType'] = :dword
default['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_ValueData'] = '1'
default['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_Ensure'] = :create

# R-88225 WN16-CC-000340
default['Win2016STIG']['stigrule_88225']['Manage'] = true
default['Win2016STIG']['stigrule_88225']['Title'] = "Explorer Data Execution Prevention must be enabled."
default['Win2016STIG']['stigrule_88225']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_ValueType'] = :dword
default['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_ValueData'] = '0'
default['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_Ensure'] = :create

# R-88227 WN16-CC-000350
default['Win2016STIG']['stigrule_88227']['Manage'] = true
default['Win2016STIG']['stigrule_88227']['Title'] = "Turning off File Explorer heap termination on corruption must be disabled."
default['Win2016STIG']['stigrule_88227']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_ValueType'] = :dword
default['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_ValueData'] = '0'
default['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_Ensure'] = :create

# R-88229 WN16-CC-000360
default['Win2016STIG']['stigrule_88229']['Manage'] = true
default['Win2016STIG']['stigrule_88229']['Title'] = "File Explorer shell protocol must run in protected mode."
default['Win2016STIG']['stigrule_88229']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_ValueType'] = :dword
default['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_ValueData'] = '0'
default['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_Ensure'] = :create

# R-88231 WN16-CC-000370
default['Win2016STIG']['stigrule_88231']['Manage'] = true
default['Win2016STIG']['stigrule_88231']['Title'] = "Passwords must not be saved in the Remote Desktop Client."
default['Win2016STIG']['stigrule_88231']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_ValueType'] = :dword
default['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_ValueData'] = '1'
default['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_Ensure'] = :create

# R-88233 WN16-CC-000380
default['Win2016STIG']['stigrule_88233']['Manage'] = true
default['Win2016STIG']['stigrule_88233']['Title'] = "Local drives must be prevented from sharing with Remote Desktop Session Hosts."
default['Win2016STIG']['stigrule_88233']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_ValueType'] = :dword
default['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_ValueData'] = '1'
default['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_Ensure'] = :create

# R-88235 WN16-CC-000390
default['Win2016STIG']['stigrule_88235']['Manage'] = true
default['Win2016STIG']['stigrule_88235']['Title'] = "Remote Desktop Services must always prompt a client for passwords upon connection."
default['Win2016STIG']['stigrule_88235']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_ValueType'] = :dword
default['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_ValueData'] = '1'
default['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_Ensure'] = :create

# R-88237 WN16-CC-000400
default['Win2016STIG']['stigrule_88237']['Manage'] = true
default['Win2016STIG']['stigrule_88237']['Title'] = "The Remote Desktop Session Host must require secure Remote Procedure Call (RPC) communications."
default['Win2016STIG']['stigrule_88237']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_ValueType'] = :dword
default['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_ValueData'] = '1'
default['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_Ensure'] = :create

# R-88239 WN16-CC-000410
default['Win2016STIG']['stigrule_88239']['Manage'] = true
default['Win2016STIG']['stigrule_88239']['Title'] = "Remote Desktop Services must be configured with the client connection encryption set to High Level."
default['Win2016STIG']['stigrule_88239']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_ValueType'] = :dword
default['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_ValueData'] = '3'
default['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_Ensure'] = :create

# R-88241 WN16-CC-000420
default['Win2016STIG']['stigrule_88241']['Manage'] = true
default['Win2016STIG']['stigrule_88241']['Title'] = "Attachments must be prevented from being downloaded from RSS feeds."
default['Win2016STIG']['stigrule_88241']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Internet Explorer\Feeds'
default['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_ValueType'] = :dword
default['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_ValueData'] = '1'
default['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_Ensure'] = :create

# R-88243 WN16-CC-000430
default['Win2016STIG']['stigrule_88243']['Manage'] = true
default['Win2016STIG']['stigrule_88243']['Title'] = "Basic authentication for RSS feeds over HTTP must not be used."
default['Win2016STIG']['stigrule_88243']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Internet Explorer\Feeds'
default['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_ValueType'] = :dword
default['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_ValueData'] = '0'
default['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_Ensure'] = :create

# R-88245 WN16-CC-000440
default['Win2016STIG']['stigrule_88245']['Manage'] = true
default['Win2016STIG']['stigrule_88245']['Title'] = "Indexing of encrypted files must be turned off."
default['Win2016STIG']['stigrule_88245']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Windows Search'
default['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueType'] = :dword
default['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueData'] = '0'
default['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_Ensure'] = :create

# R-88247 WN16-CC-000450
default['Win2016STIG']['stigrule_88247']['Manage'] = true
default['Win2016STIG']['stigrule_88247']['Title'] = "Users must be prevented from changing installation options."
default['Win2016STIG']['stigrule_88247']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_ValueType'] = :dword
default['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_ValueData'] = '0'
default['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_Ensure'] = :create

# R-88249 WN16-CC-000460
default['Win2016STIG']['stigrule_88249']['Manage'] = true
default['Win2016STIG']['stigrule_88249']['Title'] = "The Windows Installer Always install with elevated privileges option must be disabled."
default['Win2016STIG']['stigrule_88249']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_ValueType'] = :dword
default['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_ValueData'] = '0'
default['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_Ensure'] = :create

# R-88251 WN16-CC-000470
default['Win2016STIG']['stigrule_88251']['Manage'] = true
default['Win2016STIG']['stigrule_88251']['Title'] = "Users must be notified if a web-based program attempts to install software."
default['Win2016STIG']['stigrule_88251']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_ValueType'] = :dword
default['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_ValueData'] = '0'
default['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_Ensure'] = :create

# R-88253 WN16-CC-000480
default['Win2016STIG']['stigrule_88253']['Manage'] = true
default['Win2016STIG']['stigrule_88253']['Title'] = "Automatically signing in the last interactive user after a system-initiated restart must be disabled."
default['Win2016STIG']['stigrule_88253']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_ValueType'] = :dword
default['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_ValueData'] = '1'
default['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_Ensure'] = :create

# R-88255 WN16-CC-000490
default['Win2016STIG']['stigrule_88255']['Manage'] = true
default['Win2016STIG']['stigrule_88255']['Title'] = "PowerShell script block logging must be enabled."
default['Win2016STIG']['stigrule_88255']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\PowerShell\ScriptBlockLogging'
default['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_ValueType'] = :dword
default['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_ValueData'] = '1'
default['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_Ensure'] = :create

# R-88257 WN16-CC-000500
default['Win2016STIG']['stigrule_88257']['Manage'] = true
default['Win2016STIG']['stigrule_88257']['Title'] = "The Windows Remote Management (WinRM) client must not use Basic authentication."
default['Win2016STIG']['stigrule_88257']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_ValueType'] = :dword
default['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_ValueData'] = '0'
default['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_Ensure'] = :create

# R-88263 WN16-CC-000530
default['Win2016STIG']['stigrule_88263']['Manage'] = true
default['Win2016STIG']['stigrule_88263']['Title'] = "The Windows Remote Management (WinRM) service must not use Basic authentication."
default['Win2016STIG']['stigrule_88263']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_ValueType'] = :dword
default['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_ValueData'] = '0'
default['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_Ensure'] = :create

# R-88259 WN16-CC-000510
default['Win2016STIG']['stigrule_88259']['Manage'] = true
default['Win2016STIG']['stigrule_88259']['Title'] = "The Windows Remote Management (WinRM) client must not allow unencrypted traffic."
default['Win2016STIG']['stigrule_88259']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_ValueType'] = :dword
default['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_ValueData'] = '0'
default['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_Ensure'] = :create

# R-88265 WN16-CC-000540
default['Win2016STIG']['stigrule_88265']['Manage'] = true
default['Win2016STIG']['stigrule_88265']['Title'] = "The Windows Remote Management (WinRM) service must not allow unencrypted traffic."
default['Win2016STIG']['stigrule_88265']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_ValueType'] = :dword
default['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_ValueData'] = '0'
default['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_Ensure'] = :create

# R-88261 WN16-CC-000520
default['Win2016STIG']['stigrule_88261']['Manage'] = true
default['Win2016STIG']['stigrule_88261']['Title'] = "The Windows Remote Management (WinRM) client must not use Digest authentication."
default['Win2016STIG']['stigrule_88261']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_ValueType'] = :dword
default['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_ValueData'] = '0'
default['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_Ensure'] = :create

# R-88267 WN16-CC-000550
default['Win2016STIG']['stigrule_88267']['Manage'] = true
default['Win2016STIG']['stigrule_88267']['Title'] = "The Windows Remote Management (WinRM) service must not store RunAs credentials."
default['Win2016STIG']['stigrule_88267']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_ValueType'] = :dword
default['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_ValueData'] = '1'
default['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_Ensure'] = :create

# R-88269 WN16-PK-000010
default['Win2016STIG']['stigrule_88269']['Manage'] = false
default['Win2016STIG']['stigrule_88269']['Title'] = "The DoD Root CA certificates must be installed in the Trusted Root Store."
default['Win2016STIG']['stigrule_88269']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Location'] = false
default['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Store'] = 'ROOT'
default['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Path'] = 'C:\Certificates\8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561.cer'

default['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Location'] = false
default['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Store'] = 'ROOT'
default['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Path'] = 'C:\Certificates\D73CA91102A2204A36459ED32213B467D7CE97FB.cer'

default['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Location'] = false
default['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Store'] = 'ROOT'
default['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Path'] = 'C:\Certificates\B8269F25DBD937ECAFD4C35A9838571723F2D026.cer'

default['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Location'] = false
default['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Store'] = 'ROOT'
default['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Path'] = 'C:\Certificates\4ECB5CC3095670454DA1CBD410FC921F46B8564B.cer'

# R-88271 WN16-PK-000020
default['Win2016STIG']['stigrule_88271']['Manage'] = false
default['Win2016STIG']['stigrule_88271']['Title'] = "The DoD Interoperability Root CA cross-certificates must be installed in the Untrusted Certificates Store on unclassified systems."
default['Win2016STIG']['stigrule_88271']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Location'] = false
default['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Store'] = 'DISALLOWED'
default['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Path'] = 'C:\Certificates\22BBE981F0694D246CC1472ED2B021DC8540A22F.cer'

default['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Location'] = false
default['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Store'] = 'DISALLOWED'
default['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Path'] = 'C:\Certificates\AC06108CA348CC03B53795C64BF84403C1DBD341.cer'

# R-88273 WN16-PK-000030
default['Win2016STIG']['stigrule_88273']['Manage'] = false
default['Win2016STIG']['stigrule_88273']['Title'] = "The US DoD CCEB Interoperability Root CA cross-certificates must be installed in the Untrusted Certificates Store on unclassified systems."
default['Win2016STIG']['stigrule_88273']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Location'] = false
default['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Store'] = 'DISALLOWED'
default['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Path'] = 'C:\Certificates\929BF3196896994C0A201DF4A5B71F603FEFBF2E.cer'

# R-88285 WN16-SO-000020
default['Win2016STIG']['stigrule_88285']['Manage'] = true
default['Win2016STIG']['stigrule_88285']['Title'] = "Local accounts with blank passwords must be restricted to prevent access from the network."
default['Win2016STIG']['stigrule_88285']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88285']['Setting']['Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only'] = 'Enabled'

# R-88287 WN16-SO-000030
default['Win2016STIG']['stigrule_88287']['Manage'] = false
default['Win2016STIG']['stigrule_88287']['Title'] = "Windows Server 2016 built-in administrator account must be renamed."
default['Win2016STIG']['stigrule_88287']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88287']['Setting']['Accounts_Rename_administrator_account'] = 'RenamedAdministrator'

# R-88289 WN16-SO-000040
default['Win2016STIG']['stigrule_88289']['Manage'] = false
default['Win2016STIG']['stigrule_88289']['Title'] = "Windows Server 2016 built-in guest account must be renamed."
default['Win2016STIG']['stigrule_88289']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88289']['Setting']['Accounts_Rename_guest_account'] = 'RenamedGuest'

# R-88291 WN16-SO-000050
default['Win2016STIG']['stigrule_88291']['Manage'] = true
default['Win2016STIG']['stigrule_88291']['Title'] = "Audit policy using subcategories must be enabled."
default['Win2016STIG']['stigrule_88291']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88291']['Setting']['Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings'] = 'Enabled'

# R-88293 WN16-DC-000320
default['Win2016STIG']['stigrule_88293']['Manage'] = true
default['Win2016STIG']['stigrule_88293']['Title'] = "Domain controllers must require LDAP access signing."
default['Win2016STIG']['stigrule_88293']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88293']['Setting']['Domain_controller_LDAP_server_signing_requirements'] = 'Require signing'

# R-88295 WN16-DC-000330
default['Win2016STIG']['stigrule_88295']['Manage'] = true
default['Win2016STIG']['stigrule_88295']['Title'] = "Domain controllers must be configured to allow reset of machine account passwords."
default['Win2016STIG']['stigrule_88295']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88295']['Setting']['Domain_controller_Refuse_machine_account_password_changes'] = 'Disabled'

# R-88297 WN16-SO-000080
default['Win2016STIG']['stigrule_88297']['Manage'] = true
default['Win2016STIG']['stigrule_88297']['Title'] = "The setting Domain member: Digitally encrypt or sign secure channel data (always) must be configured to Enabled."
default['Win2016STIG']['stigrule_88297']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88297']['Setting']['Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always'] = 'Enabled'

# R-88299 WN16-SO-000090
default['Win2016STIG']['stigrule_88299']['Manage'] = true
default['Win2016STIG']['stigrule_88299']['Title'] = "The setting Domain member: Digitally encrypt secure channel data (when possible) must be configured to enabled."
default['Win2016STIG']['stigrule_88299']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88299']['Setting']['Domain_member_Digitally_encrypt_secure_channel_data_when_possible'] = 'Enabled'

# R-88301 WN16-SO-000100
default['Win2016STIG']['stigrule_88301']['Manage'] = true
default['Win2016STIG']['stigrule_88301']['Title'] = "The setting Domain member: Digitally sign secure channel data (when possible) must be configured to Enabled."
default['Win2016STIG']['stigrule_88301']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88301']['Setting']['Domain_member_Digitally_sign_secure_channel_data_when_possible'] = 'Enabled'

# R-88303 WN16-SO-000110
default['Win2016STIG']['stigrule_88303']['Manage'] = true
default['Win2016STIG']['stigrule_88303']['Title'] = "The computer account password must not be prevented from being reset."
default['Win2016STIG']['stigrule_88303']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88303']['Setting']['Domain_member_Disable_machine_account_password_changes'] = 'Disabled'

# R-88305 WN16-SO-000120
default['Win2016STIG']['stigrule_88305']['Manage'] = true
default['Win2016STIG']['stigrule_88305']['Title'] = "The maximum age for machine account passwords must be configured to 30 days or less."
default['Win2016STIG']['stigrule_88305']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88305']['Setting']['Domain_member_Maximum_machine_account_password_age'] = '30'

# R-88307 WN16-SO-000130
default['Win2016STIG']['stigrule_88307']['Manage'] = true
default['Win2016STIG']['stigrule_88307']['Title'] = "Windows Server 2016 must be configured to require a strong session key."
default['Win2016STIG']['stigrule_88307']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88307']['Setting']['Domain_member_Require_strong_Windows_2000_or_later_session_key'] = 'Enabled'

# R-88309 WN16-SO-000140
default['Win2016STIG']['stigrule_88309']['Manage'] = true
default['Win2016STIG']['stigrule_88309']['Title'] = "The machine inactivity limit must be set to 15 minutes, locking the system with the screen saver."
default['Win2016STIG']['stigrule_88309']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88309']['Setting']['Interactive_logon_Machine_inactivity_limit'] = '900'

# R-88311 WN16-SO-000150
default['Win2016STIG']['stigrule_88311']['Manage'] = true
default['Win2016STIG']['stigrule_88311']['Title'] = "The required legal notice must be configured to display before console logon."
default['Win2016STIG']['stigrule_88311']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88311']['Setting']['Interactive_logon_Message_text_for_users_attempting_to_log_on'] = 'You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.
By using this IS (which includes any device attached to this IS), you consent to the following conditions:
-The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
-At any time, the USG may inspect and seize data stored on this IS.
-Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
-This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
-Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential. See User Agreement for details.'

# R-88313 WN16-SO-000160
default['Win2016STIG']['stigrule_88313']['Manage'] = true
default['Win2016STIG']['stigrule_88313']['Title'] = "The Windows dialog box title for the legal banner must be configured with the appropriate text."
default['Win2016STIG']['stigrule_88313']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88313']['Setting']['Interactive_logon_Message_title_for_users_attempting_to_log_on'] = 'DoD Notice and Consent Banner'

# R-88315 WN16-MS-000050
default['Win2016STIG']['stigrule_88315']['Manage'] = true
default['Win2016STIG']['stigrule_88315']['Title'] = "Caching of logon credentials must be limited."
default['Win2016STIG']['stigrule_88315']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88315']['Setting']['Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available'] = '4'

# R-88317 WN16-SO-000190
default['Win2016STIG']['stigrule_88317']['Manage'] = true
default['Win2016STIG']['stigrule_88317']['Title'] = "The setting Microsoft network client: Digitally sign communications (always) must be configured to Enabled."
default['Win2016STIG']['stigrule_88317']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88317']['Setting']['Microsoft_network_client_Digitally_sign_communications_always'] = 'Enabled'

# R-88319 WN16-SO-000200
default['Win2016STIG']['stigrule_88319']['Manage'] = true
default['Win2016STIG']['stigrule_88319']['Title'] = "The setting Microsoft network client: Digitally sign communications (if server agrees) must be configured to Enabled."
default['Win2016STIG']['stigrule_88319']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88319']['Setting']['Microsoft_network_client_Digitally_sign_communications_if_server_agrees'] = 'Enabled'

# R-88321 WN16-SO-000210
default['Win2016STIG']['stigrule_88321']['Manage'] = true
default['Win2016STIG']['stigrule_88321']['Title'] = "Unencrypted passwords must not be sent to third-party Server Message Block (SMB) servers."
default['Win2016STIG']['stigrule_88321']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88321']['Setting']['Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers'] = 'Disabled'

# R-88325 WN16-SO-000230
default['Win2016STIG']['stigrule_88325']['Manage'] = true
default['Win2016STIG']['stigrule_88325']['Title'] = "The setting Microsoft network server: Digitally sign communications (always) must be configured to Enabled."
default['Win2016STIG']['stigrule_88325']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88325']['Setting']['Microsoft_network_server_Digitally_sign_communications_always'] = 'Enabled'

# R-88327 WN16-SO-000240
default['Win2016STIG']['stigrule_88327']['Manage'] = true
default['Win2016STIG']['stigrule_88327']['Title'] = "The setting Microsoft network server: Digitally sign communications (if client agrees) must be configured to Enabled."
default['Win2016STIG']['stigrule_88327']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88327']['Setting']['Microsoft_network_server_Digitally_sign_communications_if_client_agrees'] = 'Enabled'

# R-88329 WN16-SO-000250
default['Win2016STIG']['stigrule_88329']['Manage'] = true
default['Win2016STIG']['stigrule_88329']['Title'] = "Anonymous SID/Name translation must not be allowed."
default['Win2016STIG']['stigrule_88329']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88329']['Setting']['Network_access_Allow_anonymous_SID_Name_translation'] = 'Disabled'

# R-88331 WN16-SO-000260
default['Win2016STIG']['stigrule_88331']['Manage'] = true
default['Win2016STIG']['stigrule_88331']['Title'] = "Anonymous enumeration of Security Account Manager (SAM) accounts must not be allowed."
default['Win2016STIG']['stigrule_88331']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88331']['Setting']['Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts'] = 'Enabled'

# R-88333 WN16-SO-000270
default['Win2016STIG']['stigrule_88333']['Manage'] = true
default['Win2016STIG']['stigrule_88333']['Title'] = "Anonymous enumeration of shares must not be allowed."
default['Win2016STIG']['stigrule_88333']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88333']['Setting']['Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares'] = 'Enabled'

# R-88337 WN16-SO-000290
default['Win2016STIG']['stigrule_88337']['Manage'] = true
default['Win2016STIG']['stigrule_88337']['Title'] = "Windows Server 2016 must be configured to prevent anonymous users from having the same permissions as the Everyone group."
default['Win2016STIG']['stigrule_88337']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88337']['Setting']['Network_access_Let_Everyone_permissions_apply_to_anonymous_users'] = 'Disabled'

# R-88339 WN16-SO-000300
default['Win2016STIG']['stigrule_88339']['Manage'] = true
default['Win2016STIG']['stigrule_88339']['Title'] = "Anonymous access to Named Pipes and Shares must be restricted."
default['Win2016STIG']['stigrule_88339']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88339']['Setting']['Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares'] = 'Enabled'

# R-88343 WN16-SO-000320
default['Win2016STIG']['stigrule_88343']['Manage'] = true
default['Win2016STIG']['stigrule_88343']['Title'] = "Services using Local System that use Negotiate when reverting to NTLM authentication must use the computer identity instead of authenticating anonymously."
default['Win2016STIG']['stigrule_88343']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88343']['Setting']['Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM'] = 'Enabled'

# R-88345 WN16-SO-000330
default['Win2016STIG']['stigrule_88345']['Manage'] = true
default['Win2016STIG']['stigrule_88345']['Title'] = "NTLM must be prevented from falling back to a Null session."
default['Win2016STIG']['stigrule_88345']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88345']['Setting']['Network_security_Allow_LocalSystem_NULL_session_fallback'] = 'Disabled'

# R-88347 WN16-SO-000340
default['Win2016STIG']['stigrule_88347']['Manage'] = true
default['Win2016STIG']['stigrule_88347']['Title'] = "PKU2U authentication using online identities must be prevented."
default['Win2016STIG']['stigrule_88347']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88347']['Setting']['Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities'] = 'Disabled'

# R-88351 WN16-SO-000360
default['Win2016STIG']['stigrule_88351']['Manage'] = true
default['Win2016STIG']['stigrule_88351']['Title'] = "Windows Server 2016 must be configured to prevent the storage of the LAN Manager hash of passwords."
default['Win2016STIG']['stigrule_88351']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88351']['Setting']['Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change'] = 'Enabled'

# R-88355 WN16-SO-000380
default['Win2016STIG']['stigrule_88355']['Manage'] = true
default['Win2016STIG']['stigrule_88355']['Title'] = "The LAN Manager authentication level must be set to send NTLMv2 response only and to refuse LM and NTLM."
default['Win2016STIG']['stigrule_88355']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88355']['Setting']['Network_security_LAN_Manager_authentication_level'] = 'Send NTLMv2 responses only. Refuse LM & NTLM'

# R-88357 WN16-SO-000390
default['Win2016STIG']['stigrule_88357']['Manage'] = true
default['Win2016STIG']['stigrule_88357']['Title'] = "Windows Server 2016 must be configured to at least negotiate signing for LDAP client signing."
default['Win2016STIG']['stigrule_88357']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88357']['Setting']['Network_security_LDAP_client_signing_requirements'] = 'Negotiate signing'

# R-88359 WN16-SO-000400
default['Win2016STIG']['stigrule_88359']['Manage'] = true
default['Win2016STIG']['stigrule_88359']['Title'] = "Session security for NTLM SSP-based clients must be configured to require NTLMv2 session security and 128-bit encryption."
default['Win2016STIG']['stigrule_88359']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88359']['Setting']['Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients'] = 'Both options checked'

# R-88361 WN16-SO-000410
default['Win2016STIG']['stigrule_88361']['Manage'] = true
default['Win2016STIG']['stigrule_88361']['Title'] = "Session security for NTLM SSP-based servers must be configured to require NTLMv2 session security and 128-bit encryption."
default['Win2016STIG']['stigrule_88361']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88361']['Setting']['Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers'] = 'Both options checked'

# R-88363 WN16-SO-000420
default['Win2016STIG']['stigrule_88363']['Manage'] = true
default['Win2016STIG']['stigrule_88363']['Title'] = "Users must be required to enter a password to access private keys stored on the computer."
default['Win2016STIG']['stigrule_88363']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88363']['Setting']['System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer'] = 'User must enter a password each time they use a key'

# R-88365 WN16-SO-000430
default['Win2016STIG']['stigrule_88365']['Manage'] = true
default['Win2016STIG']['stigrule_88365']['Title'] = "Windows Server 2016 must be configured to use FIPS-compliant algorithms for encryption, hashing, and signing."
default['Win2016STIG']['stigrule_88365']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88365']['Setting']['System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing'] = 'Enabled'

# R-88369 WN16-SO-000450
default['Win2016STIG']['stigrule_88369']['Manage'] = true
default['Win2016STIG']['stigrule_88369']['Title'] = "The default permissions of global system objects must be strengthened."
default['Win2016STIG']['stigrule_88369']['Severity'] = 'low'
default['Win2016STIG']['stigrule_88369']['Setting']['System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links'] = 'Enabled'

# R-88371 WN16-SO-000460
default['Win2016STIG']['stigrule_88371']['Manage'] = true
default['Win2016STIG']['stigrule_88371']['Title'] = "User Account Control approval mode for the built-in Administrator must be enabled."
default['Win2016STIG']['stigrule_88371']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88371']['Setting']['User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account'] = 'Enabled'

# R-88373 WN16-SO-000470
default['Win2016STIG']['stigrule_88373']['Manage'] = true
default['Win2016STIG']['stigrule_88373']['Title'] = "UIAccess applications must not be allowed to prompt for elevation without using the secure desktop."
default['Win2016STIG']['stigrule_88373']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88373']['Setting']['User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop'] = 'Disabled'

# R-88375 WN16-SO-000480
default['Win2016STIG']['stigrule_88375']['Manage'] = true
default['Win2016STIG']['stigrule_88375']['Title'] = "User Account Control must, at a minimum, prompt administrators for consent on the secure desktop."
default['Win2016STIG']['stigrule_88375']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88375']['Setting']['User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode'] = 'Prompt for consent on the secure desktop'

# R-88377 WN16-SO-000490
default['Win2016STIG']['stigrule_88377']['Manage'] = true
default['Win2016STIG']['stigrule_88377']['Title'] = "User Account Control must automatically deny standard user requests for elevation."
default['Win2016STIG']['stigrule_88377']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88377']['Setting']['User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users'] = 'Automatically deny elevation request'

# R-88379 WN16-SO-000500
default['Win2016STIG']['stigrule_88379']['Manage'] = true
default['Win2016STIG']['stigrule_88379']['Title'] = "User Account Control must be configured to detect application installations and prompt for elevation."
default['Win2016STIG']['stigrule_88379']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88379']['Setting']['User_Account_Control_Detect_application_installations_and_prompt_for_elevation'] = 'Enabled'

# R-88381 WN16-SO-000510
default['Win2016STIG']['stigrule_88381']['Manage'] = true
default['Win2016STIG']['stigrule_88381']['Title'] = "User Account Control must only elevate UIAccess applications that are installed in secure locations."
default['Win2016STIG']['stigrule_88381']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88381']['Setting']['User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations'] = 'Enabled'

# R-88383 WN16-SO-000520
default['Win2016STIG']['stigrule_88383']['Manage'] = true
default['Win2016STIG']['stigrule_88383']['Title'] = "User Account Control must run all administrators in Admin Approval Mode, enabling UAC."
default['Win2016STIG']['stigrule_88383']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88383']['Setting']['User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode'] = 'Enabled'

# R-88385 WN16-SO-000530
default['Win2016STIG']['stigrule_88385']['Manage'] = true
default['Win2016STIG']['stigrule_88385']['Title'] = "User Account Control must virtualize file and registry write failures to per-user locations."
default['Win2016STIG']['stigrule_88385']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88385']['Setting']['User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations'] = 'Enabled'

# R-88393 WN16-UR-000010
default['Win2016STIG']['stigrule_88393']['Manage'] = true
default['Win2016STIG']['stigrule_88393']['Title'] = "The Access Credential Manager as a trusted caller user right must not be assigned to any groups or accounts."
default['Win2016STIG']['stigrule_88393']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88393']['Setting']['Access_Credential_Manager_as_a_trusted_caller_Identity'] = ['']

# R-88395 WN16-DC-000340
default['Win2016STIG']['stigrule_88395']['Manage'] = false
default['Win2016STIG']['stigrule_88395']['Title'] = "The Access this computer from the network user right must only be assigned to the Administrators, Authenticated Users, and  Enterprise Domain Controllers groups on domain controllers."
default['Win2016STIG']['stigrule_88395']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88395']['Setting']['Access_this_computer_from_the_network_Identity'] = ['Administrators','Authenticated Users','Enterprise Domain Controllers']

# R-88397 WN16-MS-000340
default['Win2016STIG']['stigrule_88397']['Manage'] = false
default['Win2016STIG']['stigrule_88397']['Title'] = "The Access this computer from the network user right must only be assigned to the Administrators and Authenticated Users groups on member servers."
default['Win2016STIG']['stigrule_88397']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88397']['Setting']['Access_this_computer_from_the_network_Identity'] = ['Administrators','Authenticated Users']

# R-88399 WN16-UR-000030
default['Win2016STIG']['stigrule_88399']['Manage'] = true
default['Win2016STIG']['stigrule_88399']['Title'] = "The Act as part of the operating system user right must not be assigned to any groups or accounts."
default['Win2016STIG']['stigrule_88399']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88399']['Setting']['Act_as_part_of_the_operating_system_Identity'] = ['']

# R-88401 WN16-DC-000350
default['Win2016STIG']['stigrule_88401']['Manage'] = true
default['Win2016STIG']['stigrule_88401']['Title'] = "The Add workstations to domain user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88401']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88401']['Setting']['Add_workstations_to_domain_Identity'] = ['Administrators']

# R-88403 WN16-UR-000050
default['Win2016STIG']['stigrule_88403']['Manage'] = true
default['Win2016STIG']['stigrule_88403']['Title'] = "The Allow log on locally user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88403']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88403']['Setting']['Allow_log_on_locally_Identity'] = ['Administrators']

# R-88405 WN16-DC-000360
default['Win2016STIG']['stigrule_88405']['Manage'] = true
default['Win2016STIG']['stigrule_88405']['Title'] = "The Allow log on through Remote Desktop Services user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88405']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88405']['Setting']['Allow_log_on_through_Remote_Desktop_Services_Identity'] = ['Administrators']

# R-88407 WN16-UR-000070
default['Win2016STIG']['stigrule_88407']['Manage'] = true
default['Win2016STIG']['stigrule_88407']['Title'] = "The Back up files and directories user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88407']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88407']['Setting']['Back_up_files_and_directories_Identity'] = ['Administrators']

# R-88409 WN16-UR-000080
default['Win2016STIG']['stigrule_88409']['Manage'] = true
default['Win2016STIG']['stigrule_88409']['Title'] = "The Create a pagefile user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88409']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88409']['Setting']['Create_a_pagefile_Identity'] = ['Administrators']

# R-88411 WN16-UR-000090
default['Win2016STIG']['stigrule_88411']['Manage'] = true
default['Win2016STIG']['stigrule_88411']['Title'] = "The Create a token object user right must not be assigned to any groups or accounts."
default['Win2016STIG']['stigrule_88411']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88411']['Setting']['Create_a_token_object_Identity'] = ['']

# R-88413 WN16-UR-000100
default['Win2016STIG']['stigrule_88413']['Manage'] = true
default['Win2016STIG']['stigrule_88413']['Title'] = "The Create global objects user right must only be assigned to Administrators, Service, Local Service, and Network Service."
default['Win2016STIG']['stigrule_88413']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88413']['Setting']['Create_global_objects_Identity'] = ['Administrators','Service','Local Service','Network Service']

# R-88415 WN16-UR-000110
default['Win2016STIG']['stigrule_88415']['Manage'] = true
default['Win2016STIG']['stigrule_88415']['Title'] = "The Create permanent shared objects user right must not be assigned to any groups or accounts."
default['Win2016STIG']['stigrule_88415']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88415']['Setting']['Create_permanent_shared_objects_Identity'] = ['']

# R-88417 WN16-UR-000120
default['Win2016STIG']['stigrule_88417']['Manage'] = true
default['Win2016STIG']['stigrule_88417']['Title'] = "The Create symbolic links user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88417']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88417']['Setting']['Create_symbolic_links_Identity'] = ['Administrators']

# R-88419 WN16-UR-000130
default['Win2016STIG']['stigrule_88419']['Manage'] = true
default['Win2016STIG']['stigrule_88419']['Title'] = "The Debug programs user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88419']['Severity'] = 'high'
default['Win2016STIG']['stigrule_88419']['Setting']['Debug_programs_Identity'] = ['Administrators']

# R-88421 WN16-DC-000370
default['Win2016STIG']['stigrule_88421']['Manage'] = false
default['Win2016STIG']['stigrule_88421']['Title'] = "The Deny access to this computer from the network user right on domain controllers must be configured to prevent unauthenticated access."
default['Win2016STIG']['stigrule_88421']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88421']['Setting']['Deny_access_to_this_computer_from_the_network_Identity'] = ['Guests']

# R-88423 WN16-MS-000370
default['Win2016STIG']['stigrule_88423']['Manage'] = false
default['Win2016STIG']['stigrule_88423']['Title'] = "The Deny access to this computer from the network user right on member servers must be configured to prevent access from highly privileged domain accounts and local accounts on domain systems, and from unauthenticated access on all systems."
default['Win2016STIG']['stigrule_88423']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88423']['Setting']['Deny_access_to_this_computer_from_the_network_Identity'] = ['Enterprise Admins','Domain Admins','Local account','Guests']

# R-88425 WN16-DC-000380
default['Win2016STIG']['stigrule_88425']['Manage'] = false
default['Win2016STIG']['stigrule_88425']['Title'] = "The Deny log on as a batch job user right on domain controllers must be configured to prevent unauthenticated access."
default['Win2016STIG']['stigrule_88425']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88425']['Setting']['Deny_log_on_as_a_batch_job_Identity'] = ['Guests']

# R-88427 WN16-MS-000380
default['Win2016STIG']['stigrule_88427']['Manage'] = false
default['Win2016STIG']['stigrule_88427']['Title'] = "The Deny log on as a batch job user right on member servers must be configured to prevent access from highly privileged domain accounts on domain systems and from unauthenticated access on all systems."
default['Win2016STIG']['stigrule_88427']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88427']['Setting']['Deny_log_on_as_a_batch_job_Identity'] = ['Enterprise Admins','Domain Admins','Guests']

# R-88429 WN16-DC-000390
default['Win2016STIG']['stigrule_88429']['Manage'] = false
default['Win2016STIG']['stigrule_88429']['Title'] = "The Deny log on as a service user right must be configured to include no accounts or groups (blank) on domain controllers."
default['Win2016STIG']['stigrule_88429']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88429']['Setting']['Deny_log_on_as_a_service_Identity'] = ['']

# R-88431 WN16-MS-000390
default['Win2016STIG']['stigrule_88431']['Manage'] = false
default['Win2016STIG']['stigrule_88431']['Title'] = "The Deny log on as a service user right on member servers must be configured to prevent access from highly privileged domain accounts on domain systems. No other groups or accounts must be assigned this right."
default['Win2016STIG']['stigrule_88431']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88431']['Setting']['Deny_log_on_as_a_service_Identity'] = ['Enterprise Admins','Domain Admins']

# R-88433 WN16-DC-000400
default['Win2016STIG']['stigrule_88433']['Manage'] = false
default['Win2016STIG']['stigrule_88433']['Title'] = "The Deny log on locally user right on domain controllers must be configured to prevent unauthenticated access."
default['Win2016STIG']['stigrule_88433']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88433']['Setting']['Deny_log_on_locally_Identity'] = ['Guests']

# R-88435 WN16-MS-000400
default['Win2016STIG']['stigrule_88435']['Manage'] = false
default['Win2016STIG']['stigrule_88435']['Title'] = "The Deny log on locally user right on member servers must be configured to prevent access from highly privileged domain accounts on domain systems and from unauthenticated access on all systems."
default['Win2016STIG']['stigrule_88435']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88435']['Setting']['Deny_log_on_locally_Identity'] = ['Enterprise Admins','Domain Admins','Guests']

# R-88437 WN16-DC-000410
default['Win2016STIG']['stigrule_88437']['Manage'] = false
default['Win2016STIG']['stigrule_88437']['Title'] = "The Deny log on through Remote Desktop Services user right on domain controllers must be configured to prevent unauthenticated access."
default['Win2016STIG']['stigrule_88437']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88437']['Setting']['Deny_log_on_through_Remote_Desktop_Services_Identity'] = ['Guests']

# R-88439 WN16-MS-000410
default['Win2016STIG']['stigrule_88439']['Manage'] = false
default['Win2016STIG']['stigrule_88439']['Title'] = "The Deny log on through Remote Desktop Services user right on member servers must be configured to prevent access from highly privileged domain accounts and all local accounts on domain systems and from unauthenticated access on all systems."
default['Win2016STIG']['stigrule_88439']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88439']['Setting']['Deny_log_on_through_Remote_Desktop_Services_Identity'] = ['Enterprise Admins','Domain Admins','Local account','Guests']

# R-88441 WN16-DC-000420
default['Win2016STIG']['stigrule_88441']['Manage'] = false
default['Win2016STIG']['stigrule_88441']['Title'] = "The Enable computer and user accounts to be trusted for delegation user right must only be assigned to the Administrators group on domain controllers."
default['Win2016STIG']['stigrule_88441']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88441']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity'] = ['Administrators']

# R-88443 WN16-MS-000420
default['Win2016STIG']['stigrule_88443']['Manage'] = false
default['Win2016STIG']['stigrule_88443']['Title'] = "The Enable computer and user accounts to be trusted for delegation user right must not be assigned to any groups or accounts on member servers."
default['Win2016STIG']['stigrule_88443']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88443']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity'] = ['']

# R-88445 WN16-UR-000200
default['Win2016STIG']['stigrule_88445']['Manage'] = true
default['Win2016STIG']['stigrule_88445']['Title'] = "The Force shutdown from a remote system user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88445']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88445']['Setting']['Force_shutdown_from_a_remote_system_Identity'] = ['Administrators']

# R-88447 WN16-UR-000210
default['Win2016STIG']['stigrule_88447']['Manage'] = true
default['Win2016STIG']['stigrule_88447']['Title'] = "The Generate security audits user right must only be assigned to Local Service and Network Service."
default['Win2016STIG']['stigrule_88447']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88447']['Setting']['Generate_security_audits_Identity'] = ['Local Service','Network Service']

# R-88449 WN16-UR-000220
default['Win2016STIG']['stigrule_88449']['Manage'] = true
default['Win2016STIG']['stigrule_88449']['Title'] = "The Impersonate a client after authentication user right must only be assigned to Administrators, Service, Local Service, and Network Service."
default['Win2016STIG']['stigrule_88449']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88449']['Setting']['Impersonate_a_client_after_authentication_Identity'] = ['Administrators','Service','Local Service','Network Service']

# R-88451 WN16-UR-000230
default['Win2016STIG']['stigrule_88451']['Manage'] = true
default['Win2016STIG']['stigrule_88451']['Title'] = "The Increase scheduling priority user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88451']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88451']['Setting']['Increase_scheduling_priority_Identity'] = ['Administrators']

# R-88453 WN16-UR-000240
default['Win2016STIG']['stigrule_88453']['Manage'] = true
default['Win2016STIG']['stigrule_88453']['Title'] = "The Load and unload device drivers user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88453']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88453']['Setting']['Load_and_unload_device_drivers_Identity'] = ['Administrators']

# R-88455 WN16-UR-000250
default['Win2016STIG']['stigrule_88455']['Manage'] = true
default['Win2016STIG']['stigrule_88455']['Title'] = "The Lock pages in memory user right must not be assigned to any groups or accounts."
default['Win2016STIG']['stigrule_88455']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88455']['Setting']['Lock_pages_in_memory_Identity'] = ['']

# R-88457 WN16-UR-000260
default['Win2016STIG']['stigrule_88457']['Manage'] = true
default['Win2016STIG']['stigrule_88457']['Title'] = "The Manage auditing and security log user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88457']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88457']['Setting']['Manage_auditing_and_security_log_Identity'] = ['Administrators']

# R-88459 WN16-UR-000270
default['Win2016STIG']['stigrule_88459']['Manage'] = true
default['Win2016STIG']['stigrule_88459']['Title'] = "The Modify firmware environment values user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88459']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88459']['Setting']['Modify_firmware_environment_values_Identity'] = ['Administrators']

# R-88461 WN16-UR-000280
default['Win2016STIG']['stigrule_88461']['Manage'] = true
default['Win2016STIG']['stigrule_88461']['Title'] = "The Perform volume maintenance tasks user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88461']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88461']['Setting']['Perform_volume_maintenance_tasks_Identity'] = ['Administrators']

# R-88463 WN16-UR-000290
default['Win2016STIG']['stigrule_88463']['Manage'] = true
default['Win2016STIG']['stigrule_88463']['Title'] = "The Profile single process user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88463']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88463']['Setting']['Profile_single_process_Identity'] = ['Administrators']

# R-88465 WN16-UR-000300
default['Win2016STIG']['stigrule_88465']['Manage'] = true
default['Win2016STIG']['stigrule_88465']['Title'] = "The Restore files and directories user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88465']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88465']['Setting']['Restore_files_and_directories_Identity'] = ['Administrators']

# R-88467 WN16-UR-000310
default['Win2016STIG']['stigrule_88467']['Manage'] = true
default['Win2016STIG']['stigrule_88467']['Title'] = "The Take ownership of files or other objects user right must only be assigned to the Administrators group."
default['Win2016STIG']['stigrule_88467']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88467']['Setting']['Take_ownership_of_files_or_other_objects_Identity'] = ['Administrators']

# R-88473 WN16-SO-000180
default['Win2016STIG']['stigrule_88473']['Manage'] = true
default['Win2016STIG']['stigrule_88473']['Title'] = "The Smart Card removal option must be configured to Force Logoff or Lock Workstation."
default['Win2016STIG']['stigrule_88473']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88473']['Setting']['Interactive_logon_Smart_card_removal_behavior'] = 'Lock Workstation'

# R-88475 WN16-SO-000010
default['Win2016STIG']['stigrule_88475']['Manage'] = true
default['Win2016STIG']['stigrule_88475']['Title'] = "Windows Server 2016 built-in guest account must be disabled."
default['Win2016STIG']['stigrule_88475']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_88475']['Setting']['Accounts_Guest_account_status'] = 'Disabled'

# R-92829 WN16-00-000411
default['Win2016STIG']['stigrule_92829']['Manage'] = true
default['Win2016STIG']['stigrule_92829']['Title'] = "The Server Message Block (SMB) v1 protocol must be disabled on the SMB server."
default['Win2016STIG']['stigrule_92829']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_92829']['Setting']['SMB1_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters'
default['Win2016STIG']['stigrule_92829']['Setting']['SMB1_ValueType'] = :dword
default['Win2016STIG']['stigrule_92829']['Setting']['SMB1_ValueData'] = '0'
default['Win2016STIG']['stigrule_92829']['Setting']['SMB1_Ensure'] = :create

# R-92831 WN16-00-000412
default['Win2016STIG']['stigrule_92831']['Manage'] = true
default['Win2016STIG']['stigrule_92831']['Title'] = "The Server Message Block (SMB) v1 protocol must be disabled on the SMB client."
default['Win2016STIG']['stigrule_92831']['Severity'] = 'medium'
default['Win2016STIG']['stigrule_92831']['Setting']['Start_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\mrxsmb10'
default['Win2016STIG']['stigrule_92831']['Setting']['Start_ValueType'] = :dword
default['Win2016STIG']['stigrule_92831']['Setting']['Start_ValueData'] = '4'
default['Win2016STIG']['stigrule_92831']['Setting']['Start_Ensure'] = :create

