registry_key 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\.NETFramework\\v4.0.30319' do
  values [{
    name: 'SchUseStrongCrypto',
    type: :dword,
    data: 1,
  }]
end
registry_key 'HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\.NETFramework\\v4.0.30319' do
  values [{
    name: 'SchUseStrongCrypto',
    type: :dword,
    data: 1,
  }]
end
powershell_package "PowerShellGet" do
  version "1.6.6"
  source node['Win2016STIG']['powershell_package_Source']
end
powershell_package "AuditPolicyDsc" do
  version "1.2.0.0"
  source node['Win2016STIG']['powershell_package_Source']
end
powershell_package "SecurityPolicyDsc" do
  version "2.4.0.0"
  source node['Win2016STIG']['powershell_package_Source']
end
if node['Win2016STIG']['stigrule_101009']['Manage']
  dsc_resource 'Other_Object_Access_Events_101009' do
    resource :AuditPolicySubcategory
    property :name, 'Other Object Access Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_101009']['Setting']['Other_Object_Access_Events_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_101009']['Setting']['Other_Object_Access_Events_Ensure']
  end
end
if node['Win2016STIG']['stigrule_101011']['Manage']
  dsc_resource 'Other_Object_Access_Events_101011' do
    resource :AuditPolicySubcategory
    property :name, 'Other Object Access Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_101011']['Setting']['Other_Object_Access_Events_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_101011']['Setting']['Other_Object_Access_Events_Ensure']
  end
end
if node['Win2016STIG']['stigrule_87939']['Manage']
  windows_feature_powershell 'Fax_87939' do
    feature_name 'Fax'
    action node['Win2016STIG']['stigrule_87939']['Setting']['Fax_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87941']['Manage']
  windows_feature_powershell 'Web_Ftp_Service_87941' do
    feature_name 'Web-Ftp-Service'
    action node['Win2016STIG']['stigrule_87941']['Setting']['Web_Ftp_Service_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87943']['Manage']
  windows_feature_powershell 'PNRP_87943' do
    feature_name 'PNRP'
    action node['Win2016STIG']['stigrule_87943']['Setting']['PNRP_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87945']['Manage']
  windows_feature_powershell 'Simple_TCPIP_87945' do
    feature_name 'Simple-TCPIP'
    action node['Win2016STIG']['stigrule_87945']['Setting']['Simple_TCPIP_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87947']['Manage']
  windows_feature_powershell 'Telnet_Client_87947' do
    feature_name 'Telnet-Client'
    action node['Win2016STIG']['stigrule_87947']['Setting']['Telnet_Client_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87949']['Manage']
  windows_feature_powershell 'TFTP_Client_87949' do
    feature_name 'TFTP-Client'
    action node['Win2016STIG']['stigrule_87949']['Setting']['TFTP_Client_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87951']['Manage']
  windows_feature_powershell 'FS_SMB1_87951' do
    feature_name 'FS-SMB1'
    action node['Win2016STIG']['stigrule_87951']['Setting']['FS_SMB1_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87953']['Manage']
  windows_feature_powershell 'PowerShell_v2_87953' do
    feature_name 'PowerShell-v2'
    action node['Win2016STIG']['stigrule_87953']['Setting']['PowerShell_v2_Ensure']
    all true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'NtpServer_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_Key']
    values [{
      name: 'NtpServer',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['NtpServer_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'Type_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['Type_Key']
    values [{
      name: 'Type',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['Type_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['Type_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['Type_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'CrossSiteSyncFlags_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_Key']
    values [{
      name: 'CrossSiteSyncFlags',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['CrossSiteSyncFlags_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'EventLogFlags_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_Key']
    values [{
      name: 'EventLogFlags',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['EventLogFlags_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'ResolvePeerBackoffMaxTimes_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_Key']
    values [{
      name: 'ResolvePeerBackoffMaxTimes',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMaxTimes_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'ResolvePeerBackoffMinutes_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_Key']
    values [{
      name: 'ResolvePeerBackoffMinutes',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['ResolvePeerBackoffMinutes_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87959']['Manage']
  registry_key 'SpecialPollInterval_87959' do
    key node['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_Key']
    values [{
      name: 'SpecialPollInterval',
      type: node['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_ValueType'],
      data: node['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_ValueData']
    }]
    action node['Win2016STIG']['stigrule_87959']['Setting']['SpecialPollInterval_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_87961']['Manage']
  dsc_resource 'Account_lockout_duration_87961' do
    resource :AccountPolicy
    property :name, 'Account_lockout_duration'
    property :Account_lockout_duration, node['Win2016STIG']['stigrule_87961']['Setting']['Account_lockout_duration']
    notifies :run, 'dsc_resource[Reset_account_lockout_counter_after_87965]', :before
  end
end
if node['Win2016STIG']['stigrule_87963']['Manage']
  dsc_resource 'Account_lockout_threshold_87963' do
    resource :AccountPolicy
    property :name, 'Account_lockout_threshold'
    property :Account_lockout_threshold, node['Win2016STIG']['stigrule_87963']['Setting']['Account_lockout_threshold']
  end
end
if node['Win2016STIG']['stigrule_87965']['Manage']
  dsc_resource 'Reset_account_lockout_counter_after_87965' do
    resource :AccountPolicy
    property :name, 'Reset_account_lockout_counter_after'
    property :Reset_account_lockout_counter_after, node['Win2016STIG']['stigrule_87965']['Setting']['Reset_account_lockout_counter_after']
    notifies :run, 'dsc_resource[Account_lockout_threshold_87963]', :before
  end
end
if node['Win2016STIG']['stigrule_87967']['Manage']
  dsc_resource 'Enforce_password_history_87967' do
    resource :AccountPolicy
    property :name, 'Enforce_password_history'
    property :Enforce_password_history, node['Win2016STIG']['stigrule_87967']['Setting']['Enforce_password_history']
  end
end
if node['Win2016STIG']['stigrule_87969']['Manage']
  dsc_resource 'Maximum_Password_Age_87969' do
    resource :AccountPolicy
    property :name, 'Maximum_Password_Age'
    property :Maximum_Password_Age, node['Win2016STIG']['stigrule_87969']['Setting']['Maximum_Password_Age']
  end
end
if node['Win2016STIG']['stigrule_87971']['Manage']
  dsc_resource 'Minimum_Password_Age_87971' do
    resource :AccountPolicy
    property :name, 'Minimum_Password_Age'
    property :Minimum_Password_Age, node['Win2016STIG']['stigrule_87971']['Setting']['Minimum_Password_Age']
  end
end
if node['Win2016STIG']['stigrule_87973']['Manage']
  dsc_resource 'Minimum_Password_Length_87973' do
    resource :AccountPolicy
    property :name, 'Minimum_Password_Length'
    property :Minimum_Password_Length, node['Win2016STIG']['stigrule_87973']['Setting']['Minimum_Password_Length']
  end
end
if node['Win2016STIG']['stigrule_87975']['Manage']
  dsc_resource 'Password_must_meet_complexity_requirements_87975' do
    resource :AccountPolicy
    property :name, 'Password_must_meet_complexity_requirements'
    property :Password_must_meet_complexity_requirements, node['Win2016STIG']['stigrule_87975']['Setting']['Password_must_meet_complexity_requirements']
  end
end
if node['Win2016STIG']['stigrule_87977']['Manage']
  dsc_resource 'Store_passwords_using_reversible_encryption_87977' do
    resource :AccountPolicy
    property :name, 'Store_passwords_using_reversible_encryption'
    property :Store_passwords_using_reversible_encryption, node['Win2016STIG']['stigrule_87977']['Setting']['Store_passwords_using_reversible_encryption']
  end
end
if node['Win2016STIG']['stigrule_88057']['Manage']
  file 'C__Windows_System32_winevt_Logs_Application_evtx_88057' do
    path node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Path']
    inherits node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Inherits']
    rights node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_1'], node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_1']
    rights node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_2'], node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_2']
    rights node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_3'], node['Win2016STIG']['stigrule_88057']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_3']
  end
end
if node['Win2016STIG']['stigrule_88059']['Manage']
  file 'C__Windows_System32_winevt_Logs_Security_evtx_88059' do
    path node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Path']
    inherits node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Inherits']
    rights node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_1'], node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_1']
    rights node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_2'], node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_2']
    rights node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_3'], node['Win2016STIG']['stigrule_88059']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_3']
  end
end
if node['Win2016STIG']['stigrule_88061']['Manage']
  file 'C__Windows_System32_winevt_Logs_System_evtx_88061' do
    path node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Path']
    inherits node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Inherits']
    rights node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_1'], node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_1']
    rights node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_2'], node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_2']
    rights node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_3'], node['Win2016STIG']['stigrule_88061']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_3']
  end
end
if node['Win2016STIG']['stigrule_88065']['Manage']
  dsc_resource 'Credential_Validation_88065' do
    resource :AuditPolicySubcategory
    property :name, 'Credential Validation'
    property :AuditFlag, node['Win2016STIG']['stigrule_88065']['Setting']['Credential_Validation_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88065']['Setting']['Credential_Validation_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88067']['Manage']
  dsc_resource 'Credential_Validation_88067' do
    resource :AuditPolicySubcategory
    property :name, 'Credential Validation'
    property :AuditFlag, node['Win2016STIG']['stigrule_88067']['Setting']['Credential_Validation_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88067']['Setting']['Credential_Validation_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88069']['Manage']
  dsc_resource 'Computer_Account_Management_88069' do
    resource :AuditPolicySubcategory
    property :name, 'Computer Account Management'
    property :AuditFlag, node['Win2016STIG']['stigrule_88069']['Setting']['Computer_Account_Management_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88069']['Setting']['Computer_Account_Management_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88071']['Manage']
  dsc_resource 'Other_Account_Management_Events_88071' do
    resource :AuditPolicySubcategory
    property :name, 'Other Account Management Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_88071']['Setting']['Other_Account_Management_Events_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88071']['Setting']['Other_Account_Management_Events_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88075']['Manage']
  dsc_resource 'Security_Group_Management_88075' do
    resource :AuditPolicySubcategory
    property :name, 'Security Group Management'
    property :AuditFlag, node['Win2016STIG']['stigrule_88075']['Setting']['Security_Group_Management_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88075']['Setting']['Security_Group_Management_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88079']['Manage']
  dsc_resource 'User_Account_Management_88079' do
    resource :AuditPolicySubcategory
    property :name, 'User Account Management'
    property :AuditFlag, node['Win2016STIG']['stigrule_88079']['Setting']['User_Account_Management_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88079']['Setting']['User_Account_Management_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88081']['Manage']
  dsc_resource 'User_Account_Management_88081' do
    resource :AuditPolicySubcategory
    property :name, 'User Account Management'
    property :AuditFlag, node['Win2016STIG']['stigrule_88081']['Setting']['User_Account_Management_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88081']['Setting']['User_Account_Management_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88083']['Manage']
  dsc_resource 'PNP_Activity_88083' do
    resource :AuditPolicySubcategory
    property :name, 'Plug and Play Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_88083']['Setting']['PNP_Activity_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88083']['Setting']['PNP_Activity_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88085']['Manage']
  dsc_resource 'Process_Creation_88085' do
    resource :AuditPolicySubcategory
    property :name, 'Process Creation'
    property :AuditFlag, node['Win2016STIG']['stigrule_88085']['Setting']['Process_Creation_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88085']['Setting']['Process_Creation_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88087']['Manage']
  dsc_resource 'Directory_Service_Access_88087' do
    resource :AuditPolicySubcategory
    property :name, 'Directory Service Access'
    property :AuditFlag, node['Win2016STIG']['stigrule_88087']['Setting']['Directory_Service_Access_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88087']['Setting']['Directory_Service_Access_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88089']['Manage']
  dsc_resource 'Directory_Service_Access_88089' do
    resource :AuditPolicySubcategory
    property :name, 'Directory Service Access'
    property :AuditFlag, node['Win2016STIG']['stigrule_88089']['Setting']['Directory_Service_Access_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88089']['Setting']['Directory_Service_Access_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88091']['Manage']
  dsc_resource 'Directory_Service_Changes_88091' do
    resource :AuditPolicySubcategory
    property :name, 'Directory Service Changes'
    property :AuditFlag, node['Win2016STIG']['stigrule_88091']['Setting']['Directory_Service_Changes_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88091']['Setting']['Directory_Service_Changes_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88093']['Manage']
  dsc_resource 'Directory_Service_Changes_88093' do
    resource :AuditPolicySubcategory
    property :name, 'Directory Service Changes'
    property :AuditFlag, node['Win2016STIG']['stigrule_88093']['Setting']['Directory_Service_Changes_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88093']['Setting']['Directory_Service_Changes_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88095']['Manage']
  dsc_resource 'Account_Lockout_88095' do
    resource :AuditPolicySubcategory
    property :name, 'Account Lockout'
    property :AuditFlag, node['Win2016STIG']['stigrule_88095']['Setting']['Account_Lockout_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88095']['Setting']['Account_Lockout_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88097']['Manage']
  dsc_resource 'Account_Lockout_88097' do
    resource :AuditPolicySubcategory
    property :name, 'Account Lockout'
    property :AuditFlag, node['Win2016STIG']['stigrule_88097']['Setting']['Account_Lockout_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88097']['Setting']['Account_Lockout_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88099']['Manage']
  dsc_resource 'Group_Membership_88099' do
    resource :AuditPolicySubcategory
    property :name, 'Group Membership'
    property :AuditFlag, node['Win2016STIG']['stigrule_88099']['Setting']['Group_Membership_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88099']['Setting']['Group_Membership_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88101']['Manage']
  dsc_resource 'Logoff_88101' do
    resource :AuditPolicySubcategory
    property :name, 'Logoff'
    property :AuditFlag, node['Win2016STIG']['stigrule_88101']['Setting']['Logoff_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88101']['Setting']['Logoff_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88103']['Manage']
  dsc_resource 'Logon_88103' do
    resource :AuditPolicySubcategory
    property :name, 'Logon'
    property :AuditFlag, node['Win2016STIG']['stigrule_88103']['Setting']['Logon_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88103']['Setting']['Logon_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88105']['Manage']
  dsc_resource 'Logon_88105' do
    resource :AuditPolicySubcategory
    property :name, 'Logon'
    property :AuditFlag, node['Win2016STIG']['stigrule_88105']['Setting']['Logon_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88105']['Setting']['Logon_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88107']['Manage']
  dsc_resource 'Special_Logon_88107' do
    resource :AuditPolicySubcategory
    property :name, 'Special Logon'
    property :AuditFlag, node['Win2016STIG']['stigrule_88107']['Setting']['Special_Logon_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88107']['Setting']['Special_Logon_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88109']['Manage']
  dsc_resource 'Removable_Storage_88109' do
    resource :AuditPolicySubcategory
    property :name, 'Removable Storage'
    property :AuditFlag, node['Win2016STIG']['stigrule_88109']['Setting']['Removable_Storage_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88109']['Setting']['Removable_Storage_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88111']['Manage']
  dsc_resource 'Removable_Storage_88111' do
    resource :AuditPolicySubcategory
    property :name, 'Removable Storage'
    property :AuditFlag, node['Win2016STIG']['stigrule_88111']['Setting']['Removable_Storage_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88111']['Setting']['Removable_Storage_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88113']['Manage']
  dsc_resource 'Policy_Change_88113' do
    resource :AuditPolicySubcategory
    property :name, 'Audit Policy Change'
    property :AuditFlag, node['Win2016STIG']['stigrule_88113']['Setting']['Policy_Change_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88113']['Setting']['Policy_Change_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88115']['Manage']
  dsc_resource 'Policy_Change_88115' do
    resource :AuditPolicySubcategory
    property :name, 'Audit Policy Change'
    property :AuditFlag, node['Win2016STIG']['stigrule_88115']['Setting']['Policy_Change_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88115']['Setting']['Policy_Change_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88117']['Manage']
  dsc_resource 'Authentication_Policy_Change_88117' do
    resource :AuditPolicySubcategory
    property :name, 'Authentication Policy Change'
    property :AuditFlag, node['Win2016STIG']['stigrule_88117']['Setting']['Authentication_Policy_Change_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88117']['Setting']['Authentication_Policy_Change_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88119']['Manage']
  dsc_resource 'Authorization_Policy_Change_88119' do
    resource :AuditPolicySubcategory
    property :name, 'Authorization Policy Change'
    property :AuditFlag, node['Win2016STIG']['stigrule_88119']['Setting']['Authorization_Policy_Change_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88119']['Setting']['Authorization_Policy_Change_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88121']['Manage']
  dsc_resource 'Sensitive_Privilege_Use_88121' do
    resource :AuditPolicySubcategory
    property :name, 'Sensitive Privilege Use'
    property :AuditFlag, node['Win2016STIG']['stigrule_88121']['Setting']['Sensitive_Privilege_Use_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88121']['Setting']['Sensitive_Privilege_Use_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88123']['Manage']
  dsc_resource 'Sensitive_Privilege_Use_88123' do
    resource :AuditPolicySubcategory
    property :name, 'Sensitive Privilege Use'
    property :AuditFlag, node['Win2016STIG']['stigrule_88123']['Setting']['Sensitive_Privilege_Use_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88123']['Setting']['Sensitive_Privilege_Use_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88125']['Manage']
  dsc_resource 'IPsec_Driver_88125' do
    resource :AuditPolicySubcategory
    property :name, 'IPsec Driver'
    property :AuditFlag, node['Win2016STIG']['stigrule_88125']['Setting']['IPsec_Driver_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88125']['Setting']['IPsec_Driver_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88127']['Manage']
  dsc_resource 'IPsec_Driver_88127' do
    resource :AuditPolicySubcategory
    property :name, 'IPsec Driver'
    property :AuditFlag, node['Win2016STIG']['stigrule_88127']['Setting']['IPsec_Driver_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88127']['Setting']['IPsec_Driver_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88129']['Manage']
  dsc_resource 'Other_System_Events_88129' do
    resource :AuditPolicySubcategory
    property :name, 'Other System Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_88129']['Setting']['Other_System_Events_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88129']['Setting']['Other_System_Events_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88131']['Manage']
  dsc_resource 'Other_System_Events_88131' do
    resource :AuditPolicySubcategory
    property :name, 'Other System Events'
    property :AuditFlag, node['Win2016STIG']['stigrule_88131']['Setting']['Other_System_Events_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88131']['Setting']['Other_System_Events_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88133']['Manage']
  dsc_resource 'Security_State_Change_88133' do
    resource :AuditPolicySubcategory
    property :name, 'Security State Change'
    property :AuditFlag, node['Win2016STIG']['stigrule_88133']['Setting']['Security_State_Change_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88133']['Setting']['Security_State_Change_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88135']['Manage']
  dsc_resource 'Security_System_Extension_88135' do
    resource :AuditPolicySubcategory
    property :name, 'Security System Extension'
    property :AuditFlag, node['Win2016STIG']['stigrule_88135']['Setting']['Security_System_Extension_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88135']['Setting']['Security_System_Extension_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88139']['Manage']
  registry_key 'EnumerateAdministrators_88139' do
    key node['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_Key']
    values [{
      name: 'EnumerateAdministrators',
      type: node['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_ValueType'],
      data: node['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88139']['Setting']['EnumerateAdministrators_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88141']['Manage']
  dsc_resource 'System_Integrity_88141' do
    resource :AuditPolicySubcategory
    property :name, 'System Integrity'
    property :AuditFlag, node['Win2016STIG']['stigrule_88141']['Setting']['System_Integrity_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88141']['Setting']['System_Integrity_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88143']['Manage']
  dsc_resource 'System_Integrity_88143' do
    resource :AuditPolicySubcategory
    property :name, 'System Integrity'
    property :AuditFlag, node['Win2016STIG']['stigrule_88143']['Setting']['System_Integrity_AuditFlag']
    property :Ensure, node['Win2016STIG']['stigrule_88143']['Setting']['System_Integrity_Ensure']
  end
end
if node['Win2016STIG']['stigrule_88145']['Manage']
  registry_key 'NoLockScreenSlideshow_88145' do
    key node['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_Key']
    values [{
      name: 'NoLockScreenSlideshow',
      type: node['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_ValueType'],
      data: node['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88145']['Setting']['NoLockScreenSlideshow_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88147']['Manage']
  registry_key 'LocalAccountTokenFilterPolicy_88147' do
    key node['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_Key']
    values [{
      name: 'LocalAccountTokenFilterPolicy',
      type: node['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_ValueType'],
      data: node['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88147']['Setting']['LocalAccountTokenFilterPolicy_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88149']['Manage']
  registry_key 'UseLogonCredential_88149' do
    key node['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_Key']
    values [{
      name: 'UseLogonCredential',
      type: node['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_ValueType'],
      data: node['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88149']['Setting']['UseLogonCredential_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88151']['Manage']
  registry_key 'DisableIPSourceRouting_88151' do
    key node['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_Key']
    values [{
      name: 'DisableIPSourceRouting',
      type: node['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_ValueType'],
      data: node['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88151']['Setting']['DisableIPSourceRouting_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88153']['Manage']
  registry_key 'DisableIPSourceRouting_88153' do
    key node['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_Key']
    values [{
      name: 'DisableIPSourceRouting',
      type: node['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_ValueType'],
      data: node['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88153']['Setting']['DisableIPSourceRouting_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88155']['Manage']
  registry_key 'EnableICMPRedirect_88155' do
    key node['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_Key']
    values [{
      name: 'EnableICMPRedirect',
      type: node['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_ValueType'],
      data: node['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88155']['Setting']['EnableICMPRedirect_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88157']['Manage']
  registry_key 'NoNameReleaseOnDemand_88157' do
    key node['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_Key']
    values [{
      name: 'NoNameReleaseOnDemand',
      type: node['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_ValueType'],
      data: node['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88157']['Setting']['NoNameReleaseOnDemand_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88159']['Manage']
  registry_key 'AllowInsecureGuestAuth_88159' do
    key node['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_Key']
    values [{
      name: 'AllowInsecureGuestAuth',
      type: node['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_ValueType'],
      data: node['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88159']['Setting']['AllowInsecureGuestAuth_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88161']['Manage']
  registry_key '____NETLOGON_88161' do
    key node['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_Key']
    values [{
      name: '\\*\NETLOGON',
      type: node['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_ValueType'],
      data: node['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88161']['Setting']['____NETLOGON_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88161']['Manage']
  registry_key '____SYSVOL_88161' do
    key node['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_Key']
    values [{
      name: '\\*\SYSVOL',
      type: node['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_ValueType'],
      data: node['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88161']['Setting']['____SYSVOL_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88163']['Manage']
  registry_key 'ProcessCreationIncludeCmdLine_Enabled_88163' do
    key node['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Key']
    values [{
      name: 'ProcessCreationIncludeCmdLine_Enabled',
      type: node['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueType'],
      data: node['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88163']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88165']['Manage']
  registry_key 'EnableVirtualizationBasedSecurity_88165' do
    key node['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_Key']
    values [{
      name: 'EnableVirtualizationBasedSecurity',
      type: node['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_ValueType'],
      data: node['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88165']['Setting']['EnableVirtualizationBasedSecurity_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88165']['Manage']
  registry_key 'RequirePlatformSecurityFeatures_88165' do
    key node['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_Key']
    values [{
      name: 'RequirePlatformSecurityFeatures',
      type: node['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_ValueType'],
      data: node['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88165']['Setting']['RequirePlatformSecurityFeatures_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88167']['Manage']
  registry_key 'LsaCfgFlags_88167' do
    key node['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_Key']
    values [{
      name: 'LsaCfgFlags',
      type: node['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_ValueType'],
      data: node['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88167']['Setting']['LsaCfgFlags_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88173']['Manage']
  registry_key 'DriverLoadPolicy_88173' do
    key node['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_Key']
    values [{
      name: 'DriverLoadPolicy',
      type: node['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_ValueType'],
      data: node['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88173']['Setting']['DriverLoadPolicy_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88177']['Manage']
  registry_key 'NoGPOListChanges_88177' do
    key node['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_Key']
    values [{
      name: 'NoGPOListChanges',
      type: node['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_ValueType'],
      data: node['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88177']['Setting']['NoGPOListChanges_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88179']['Manage']
  registry_key 'DisableWebPnPDownload_88179' do
    key node['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_Key']
    values [{
      name: 'DisableWebPnPDownload',
      type: node['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_ValueType'],
      data: node['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88179']['Setting']['DisableWebPnPDownload_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88181']['Manage']
  registry_key 'DisableHTTPPrinting_88181' do
    key node['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_Key']
    values [{
      name: 'DisableHTTPPrinting',
      type: node['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_ValueType'],
      data: node['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88181']['Setting']['DisableHTTPPrinting_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88185']['Manage']
  registry_key 'DontDisplayNetworkSelectionUI_88185' do
    key node['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_Key']
    values [{
      name: 'DontDisplayNetworkSelectionUI',
      type: node['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_ValueType'],
      data: node['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88185']['Setting']['DontDisplayNetworkSelectionUI_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88187']['Manage']
  registry_key 'EnumerateLocalUsers_88187' do
    key node['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_Key']
    values [{
      name: 'EnumerateLocalUsers',
      type: node['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_ValueType'],
      data: node['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88187']['Setting']['EnumerateLocalUsers_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88197']['Manage']
  registry_key 'DCSettingIndex_88197' do
    key node['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_Key']
    values [{
      name: 'DCSettingIndex',
      type: node['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_ValueType'],
      data: node['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88197']['Setting']['DCSettingIndex_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88201']['Manage']
  registry_key 'ACSettingIndex_88201' do
    key node['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_Key']
    values [{
      name: 'ACSettingIndex',
      type: node['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_ValueType'],
      data: node['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88201']['Setting']['ACSettingIndex_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88203']['Manage']
  registry_key 'RestrictRemoteClients_88203' do
    key node['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_Key']
    values [{
      name: 'RestrictRemoteClients',
      type: node['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_ValueType'],
      data: node['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88203']['Setting']['RestrictRemoteClients_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88207']['Manage']
  registry_key 'DisableInventory_88207' do
    key node['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_Key']
    values [{
      name: 'DisableInventory',
      type: node['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_ValueType'],
      data: node['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88207']['Setting']['DisableInventory_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88209']['Manage']
  registry_key 'NoAutoplayfornonVolume_88209' do
    key node['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_Key']
    values [{
      name: 'NoAutoplayfornonVolume',
      type: node['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_ValueType'],
      data: node['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88209']['Setting']['NoAutoplayfornonVolume_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88211']['Manage']
  registry_key 'NoAutorun_88211' do
    key node['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_Key']
    values [{
      name: 'NoAutorun',
      type: node['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_ValueType'],
      data: node['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88211']['Setting']['NoAutorun_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88213']['Manage']
  registry_key 'NoDriveTypeAutoRun_88213' do
    key node['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_Key']
    values [{
      name: 'NoDriveTypeAutoRun',
      type: node['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_ValueType'],
      data: node['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88213']['Setting']['NoDriveTypeAutoRun_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88215']['Manage']
  registry_key 'AllowTelemetry_88215' do
    key node['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_Key']
    values [{
      name: 'AllowTelemetry',
      type: node['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_ValueType'],
      data: node['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88215']['Setting']['AllowTelemetry_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88217']['Manage']
  registry_key 'MaxSize_88217' do
    key node['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_ValueType'],
      data: node['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88217']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88219']['Manage']
  registry_key 'MaxSize_88219' do
    key node['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_ValueType'],
      data: node['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88219']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88221']['Manage']
  registry_key 'MaxSize_88221' do
    key node['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_ValueType'],
      data: node['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88221']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88223']['Manage']
  registry_key 'EnableSmartScreen_88223' do
    key node['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_Key']
    values [{
      name: 'EnableSmartScreen',
      type: node['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_ValueType'],
      data: node['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88223']['Setting']['EnableSmartScreen_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88225']['Manage']
  registry_key 'NoDataExecutionPrevention_88225' do
    key node['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_Key']
    values [{
      name: 'NoDataExecutionPrevention',
      type: node['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_ValueType'],
      data: node['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88225']['Setting']['NoDataExecutionPrevention_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88227']['Manage']
  registry_key 'NoHeapTerminationOnCorruption_88227' do
    key node['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_Key']
    values [{
      name: 'NoHeapTerminationOnCorruption',
      type: node['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_ValueType'],
      data: node['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88227']['Setting']['NoHeapTerminationOnCorruption_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88229']['Manage']
  registry_key 'PreXPSP2ShellProtocolBehavior_88229' do
    key node['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_Key']
    values [{
      name: 'PreXPSP2ShellProtocolBehavior',
      type: node['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_ValueType'],
      data: node['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88229']['Setting']['PreXPSP2ShellProtocolBehavior_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88231']['Manage']
  registry_key 'DisablePasswordSaving_88231' do
    key node['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_Key']
    values [{
      name: 'DisablePasswordSaving',
      type: node['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_ValueType'],
      data: node['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88231']['Setting']['DisablePasswordSaving_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88233']['Manage']
  registry_key 'fDisableCdm_88233' do
    key node['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_Key']
    values [{
      name: 'fDisableCdm',
      type: node['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_ValueType'],
      data: node['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88233']['Setting']['fDisableCdm_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88235']['Manage']
  registry_key 'fPromptForPassword_88235' do
    key node['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_Key']
    values [{
      name: 'fPromptForPassword',
      type: node['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_ValueType'],
      data: node['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88235']['Setting']['fPromptForPassword_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88237']['Manage']
  registry_key 'fEncryptRPCTraffic_88237' do
    key node['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_Key']
    values [{
      name: 'fEncryptRPCTraffic',
      type: node['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_ValueType'],
      data: node['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88237']['Setting']['fEncryptRPCTraffic_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88239']['Manage']
  registry_key 'MinEncryptionLevel_88239' do
    key node['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_Key']
    values [{
      name: 'MinEncryptionLevel',
      type: node['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_ValueType'],
      data: node['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88239']['Setting']['MinEncryptionLevel_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88241']['Manage']
  registry_key 'DisableEnclosureDownload_88241' do
    key node['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_Key']
    values [{
      name: 'DisableEnclosureDownload',
      type: node['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_ValueType'],
      data: node['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88241']['Setting']['DisableEnclosureDownload_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88243']['Manage']
  registry_key 'AllowBasicAuthInClear_88243' do
    key node['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_Key']
    values [{
      name: 'AllowBasicAuthInClear',
      type: node['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_ValueType'],
      data: node['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88243']['Setting']['AllowBasicAuthInClear_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88245']['Manage']
  registry_key 'AllowIndexingEncryptedStoresOrItems_88245' do
    key node['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_Key']
    values [{
      name: 'AllowIndexingEncryptedStoresOrItems',
      type: node['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueType'],
      data: node['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88245']['Setting']['AllowIndexingEncryptedStoresOrItems_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88247']['Manage']
  registry_key 'EnableUserControl_88247' do
    key node['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_Key']
    values [{
      name: 'EnableUserControl',
      type: node['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_ValueType'],
      data: node['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88247']['Setting']['EnableUserControl_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88249']['Manage']
  registry_key 'AlwaysInstallElevated_88249' do
    key node['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_Key']
    values [{
      name: 'AlwaysInstallElevated',
      type: node['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_ValueType'],
      data: node['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88249']['Setting']['AlwaysInstallElevated_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88251']['Manage']
  registry_key 'SafeForScripting_88251' do
    key node['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_Key']
    values [{
      name: 'SafeForScripting',
      type: node['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_ValueType'],
      data: node['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88251']['Setting']['SafeForScripting_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88253']['Manage']
  registry_key 'DisableAutomaticRestartSignOn_88253' do
    key node['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_Key']
    values [{
      name: 'DisableAutomaticRestartSignOn',
      type: node['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_ValueType'],
      data: node['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88253']['Setting']['DisableAutomaticRestartSignOn_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88255']['Manage']
  registry_key 'EnableScriptBlockLogging_88255' do
    key node['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_Key']
    values [{
      name: 'EnableScriptBlockLogging',
      type: node['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_ValueType'],
      data: node['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88255']['Setting']['EnableScriptBlockLogging_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88257']['Manage']
  registry_key 'AllowBasic_88257' do
    key node['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_Key']
    values [{
      name: 'AllowBasic',
      type: node['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_ValueType'],
      data: node['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88257']['Setting']['AllowBasic_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88263']['Manage']
  registry_key 'AllowBasic_88263' do
    key node['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_Key']
    values [{
      name: 'AllowBasic',
      type: node['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_ValueType'],
      data: node['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88263']['Setting']['AllowBasic_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88259']['Manage']
  registry_key 'AllowUnencryptedTraffic_88259' do
    key node['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_Key']
    values [{
      name: 'AllowUnencryptedTraffic',
      type: node['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_ValueType'],
      data: node['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88259']['Setting']['AllowUnencryptedTraffic_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88265']['Manage']
  registry_key 'AllowUnencryptedTraffic_88265' do
    key node['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_Key']
    values [{
      name: 'AllowUnencryptedTraffic',
      type: node['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_ValueType'],
      data: node['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88265']['Setting']['AllowUnencryptedTraffic_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88261']['Manage']
  registry_key 'AllowDigest_88261' do
    key node['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_Key']
    values [{
      name: 'AllowDigest',
      type: node['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_ValueType'],
      data: node['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88261']['Setting']['AllowDigest_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88267']['Manage']
  registry_key 'DisableRunAs_88267' do
    key node['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_Key']
    values [{
      name: 'DisableRunAs',
      type: node['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_ValueType'],
      data: node['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_ValueData']
    }]
    action node['Win2016STIG']['stigrule_88267']['Setting']['DisableRunAs_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_88269']['Manage']
  windows_certificate '8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_88269' do
    source node['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Path']
    store_name node['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Store']
    user_store node['Win2016STIG']['stigrule_88269']['Setting']['8C941B34EA1EA6ED9AE2BC54CF687252B4C9B561_Location']
  end
end
if node['Win2016STIG']['stigrule_88269']['Manage']
  windows_certificate 'D73CA91102A2204A36459ED32213B467D7CE97FB_88269' do
    source node['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Path']
    store_name node['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Store']
    user_store node['Win2016STIG']['stigrule_88269']['Setting']['D73CA91102A2204A36459ED32213B467D7CE97FB_Location']
  end
end
if node['Win2016STIG']['stigrule_88269']['Manage']
  windows_certificate 'B8269F25DBD937ECAFD4C35A9838571723F2D026_88269' do
    source node['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Path']
    store_name node['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Store']
    user_store node['Win2016STIG']['stigrule_88269']['Setting']['B8269F25DBD937ECAFD4C35A9838571723F2D026_Location']
  end
end
if node['Win2016STIG']['stigrule_88269']['Manage']
  windows_certificate '4ECB5CC3095670454DA1CBD410FC921F46B8564B_88269' do
    source node['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Path']
    store_name node['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Store']
    user_store node['Win2016STIG']['stigrule_88269']['Setting']['4ECB5CC3095670454DA1CBD410FC921F46B8564B_Location']
  end
end
if node['Win2016STIG']['stigrule_88271']['Manage']
  windows_certificate '22BBE981F0694D246CC1472ED2B021DC8540A22F_88271' do
    source node['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Path']
    store_name node['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Store']
    user_store node['Win2016STIG']['stigrule_88271']['Setting']['22BBE981F0694D246CC1472ED2B021DC8540A22F_Location']
  end
end
if node['Win2016STIG']['stigrule_88271']['Manage']
  windows_certificate 'AC06108CA348CC03B53795C64BF84403C1DBD341_88271' do
    source node['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Path']
    store_name node['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Store']
    user_store node['Win2016STIG']['stigrule_88271']['Setting']['AC06108CA348CC03B53795C64BF84403C1DBD341_Location']
  end
end
if node['Win2016STIG']['stigrule_88273']['Manage']
  windows_certificate '929BF3196896994C0A201DF4A5B71F603FEFBF2E_88273' do
    source node['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Path']
    store_name node['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Store']
    user_store node['Win2016STIG']['stigrule_88273']['Setting']['929BF3196896994C0A201DF4A5B71F603FEFBF2E_Location']
  end
end
if node['Win2016STIG']['stigrule_88285']['Manage']
  dsc_resource 'Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only_88285' do
    resource :SecurityOption
    property :name, 'Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only'
    property :Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only, node['Win2016STIG']['stigrule_88285']['Setting']['Accounts_Limit_local_account_use_of_blank_passwords_to_console_logon_only']
  end
end
if node['Win2016STIG']['stigrule_88287']['Manage']
  dsc_resource 'Accounts_Rename_administrator_account_88287' do
    resource :SecurityOption
    property :name, 'Accounts_Rename_administrator_account'
    property :Accounts_Rename_administrator_account, node['Win2016STIG']['stigrule_88287']['Setting']['Accounts_Rename_administrator_account']
  end
end
if node['Win2016STIG']['stigrule_88289']['Manage']
  dsc_resource 'Accounts_Rename_guest_account_88289' do
    resource :SecurityOption
    property :name, 'Accounts_Rename_guest_account'
    property :Accounts_Rename_guest_account, node['Win2016STIG']['stigrule_88289']['Setting']['Accounts_Rename_guest_account']
  end
end
if node['Win2016STIG']['stigrule_88291']['Manage']
  dsc_resource 'Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings_88291' do
    resource :SecurityOption
    property :name, 'Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings'
    property :Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings, node['Win2016STIG']['stigrule_88291']['Setting']['Audit_Force_audit_policy_subcategory_settings_Windows_Vista_or_later_to_override_audit_policy_category_settings']
  end
end
if node['Win2016STIG']['stigrule_88293']['Manage']
  dsc_resource 'Domain_controller_LDAP_server_signing_requirements_88293' do
    resource :SecurityOption
    property :name, 'Domain_controller_LDAP_server_signing_requirements'
    property :Domain_controller_LDAP_server_signing_requirements, node['Win2016STIG']['stigrule_88293']['Setting']['Domain_controller_LDAP_server_signing_requirements']
  end
end
if node['Win2016STIG']['stigrule_88295']['Manage']
  dsc_resource 'Domain_controller_Refuse_machine_account_password_changes_88295' do
    resource :SecurityOption
    property :name, 'Domain_controller_Refuse_machine_account_password_changes'
    property :Domain_controller_Refuse_machine_account_password_changes, node['Win2016STIG']['stigrule_88295']['Setting']['Domain_controller_Refuse_machine_account_password_changes']
  end
end
if node['Win2016STIG']['stigrule_88297']['Manage']
  dsc_resource 'Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always_88297' do
    resource :SecurityOption
    property :name, 'Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always'
    property :Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always, node['Win2016STIG']['stigrule_88297']['Setting']['Domain_member_Digitally_encrypt_or_sign_secure_channel_data_always']
  end
end
if node['Win2016STIG']['stigrule_88299']['Manage']
  dsc_resource 'Domain_member_Digitally_encrypt_secure_channel_data_when_possible_88299' do
    resource :SecurityOption
    property :name, 'Domain_member_Digitally_encrypt_secure_channel_data_when_possible'
    property :Domain_member_Digitally_encrypt_secure_channel_data_when_possible, node['Win2016STIG']['stigrule_88299']['Setting']['Domain_member_Digitally_encrypt_secure_channel_data_when_possible']
  end
end
if node['Win2016STIG']['stigrule_88301']['Manage']
  dsc_resource 'Domain_member_Digitally_sign_secure_channel_data_when_possible_88301' do
    resource :SecurityOption
    property :name, 'Domain_member_Digitally_sign_secure_channel_data_when_possible'
    property :Domain_member_Digitally_sign_secure_channel_data_when_possible, node['Win2016STIG']['stigrule_88301']['Setting']['Domain_member_Digitally_sign_secure_channel_data_when_possible']
  end
end
if node['Win2016STIG']['stigrule_88303']['Manage']
  dsc_resource 'Domain_member_Disable_machine_account_password_changes_88303' do
    resource :SecurityOption
    property :name, 'Domain_member_Disable_machine_account_password_changes'
    property :Domain_member_Disable_machine_account_password_changes, node['Win2016STIG']['stigrule_88303']['Setting']['Domain_member_Disable_machine_account_password_changes']
  end
end
if node['Win2016STIG']['stigrule_88305']['Manage']
  dsc_resource 'Domain_member_Maximum_machine_account_password_age_88305' do
    resource :SecurityOption
    property :name, 'Domain_member_Maximum_machine_account_password_age'
    property :Domain_member_Maximum_machine_account_password_age, node['Win2016STIG']['stigrule_88305']['Setting']['Domain_member_Maximum_machine_account_password_age']
  end
end
if node['Win2016STIG']['stigrule_88307']['Manage']
  dsc_resource 'Domain_member_Require_strong_Windows_2000_or_later_session_key_88307' do
    resource :SecurityOption
    property :name, 'Domain_member_Require_strong_Windows_2000_or_later_session_key'
    property :Domain_member_Require_strong_Windows_2000_or_later_session_key, node['Win2016STIG']['stigrule_88307']['Setting']['Domain_member_Require_strong_Windows_2000_or_later_session_key']
  end
end
if node['Win2016STIG']['stigrule_88309']['Manage']
  dsc_resource 'Interactive_logon_Machine_inactivity_limit_88309' do
    resource :SecurityOption
    property :name, 'Interactive_logon_Machine_inactivity_limit'
    property :Interactive_logon_Machine_inactivity_limit, node['Win2016STIG']['stigrule_88309']['Setting']['Interactive_logon_Machine_inactivity_limit']
  end
end
if node['Win2016STIG']['stigrule_88311']['Manage']
  dsc_resource 'Interactive_logon_Message_text_for_users_attempting_to_log_on_88311' do
    resource :SecurityOption
    property :name, 'Interactive_logon_Message_text_for_users_attempting_to_log_on'
    property :Interactive_logon_Message_text_for_users_attempting_to_log_on, node['Win2016STIG']['stigrule_88311']['Setting']['Interactive_logon_Message_text_for_users_attempting_to_log_on']
  end
end
if node['Win2016STIG']['stigrule_88313']['Manage']
  dsc_resource 'Interactive_logon_Message_title_for_users_attempting_to_log_on_88313' do
    resource :SecurityOption
    property :name, 'Interactive_logon_Message_title_for_users_attempting_to_log_on'
    property :Interactive_logon_Message_title_for_users_attempting_to_log_on, node['Win2016STIG']['stigrule_88313']['Setting']['Interactive_logon_Message_title_for_users_attempting_to_log_on']
  end
end
if node['Win2016STIG']['stigrule_88315']['Manage']
  dsc_resource 'Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available_88315' do
    resource :SecurityOption
    property :name, 'Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available'
    property :Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available, node['Win2016STIG']['stigrule_88315']['Setting']['Interactive_logon_Number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available']
  end
end
if node['Win2016STIG']['stigrule_88317']['Manage']
  dsc_resource 'Microsoft_network_client_Digitally_sign_communications_always_88317' do
    resource :SecurityOption
    property :name, 'Microsoft_network_client_Digitally_sign_communications_always'
    property :Microsoft_network_client_Digitally_sign_communications_always, node['Win2016STIG']['stigrule_88317']['Setting']['Microsoft_network_client_Digitally_sign_communications_always']
  end
end
if node['Win2016STIG']['stigrule_88319']['Manage']
  dsc_resource 'Microsoft_network_client_Digitally_sign_communications_if_server_agrees_88319' do
    resource :SecurityOption
    property :name, 'Microsoft_network_client_Digitally_sign_communications_if_server_agrees'
    property :Microsoft_network_client_Digitally_sign_communications_if_server_agrees, node['Win2016STIG']['stigrule_88319']['Setting']['Microsoft_network_client_Digitally_sign_communications_if_server_agrees']
  end
end
if node['Win2016STIG']['stigrule_88321']['Manage']
  dsc_resource 'Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers_88321' do
    resource :SecurityOption
    property :name, 'Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers'
    property :Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers, node['Win2016STIG']['stigrule_88321']['Setting']['Microsoft_network_client_Send_unencrypted_password_to_third_party_SMB_servers']
  end
end
if node['Win2016STIG']['stigrule_88325']['Manage']
  dsc_resource 'Microsoft_network_server_Digitally_sign_communications_always_88325' do
    resource :SecurityOption
    property :name, 'Microsoft_network_server_Digitally_sign_communications_always'
    property :Microsoft_network_server_Digitally_sign_communications_always, node['Win2016STIG']['stigrule_88325']['Setting']['Microsoft_network_server_Digitally_sign_communications_always']
  end
end
if node['Win2016STIG']['stigrule_88327']['Manage']
  dsc_resource 'Microsoft_network_server_Digitally_sign_communications_if_client_agrees_88327' do
    resource :SecurityOption
    property :name, 'Microsoft_network_server_Digitally_sign_communications_if_client_agrees'
    property :Microsoft_network_server_Digitally_sign_communications_if_client_agrees, node['Win2016STIG']['stigrule_88327']['Setting']['Microsoft_network_server_Digitally_sign_communications_if_client_agrees']
  end
end
if node['Win2016STIG']['stigrule_88329']['Manage']
  dsc_resource 'Network_access_Allow_anonymous_SID_Name_translation_88329' do
    resource :SecurityOption
    property :name, 'Network_access_Allow_anonymous_SID_Name_translation'
    property :Network_access_Allow_anonymous_SID_Name_translation, node['Win2016STIG']['stigrule_88329']['Setting']['Network_access_Allow_anonymous_SID_Name_translation']
  end
end
if node['Win2016STIG']['stigrule_88331']['Manage']
  dsc_resource 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_88331' do
    resource :SecurityOption
    property :name, 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts'
    property :Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts, node['Win2016STIG']['stigrule_88331']['Setting']['Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts']
  end
end
if node['Win2016STIG']['stigrule_88333']['Manage']
  dsc_resource 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares_88333' do
    resource :SecurityOption
    property :name, 'Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares'
    property :Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares, node['Win2016STIG']['stigrule_88333']['Setting']['Network_access_Do_not_allow_anonymous_enumeration_of_SAM_accounts_and_shares']
  end
end
if node['Win2016STIG']['stigrule_88337']['Manage']
  dsc_resource 'Network_access_Let_Everyone_permissions_apply_to_anonymous_users_88337' do
    resource :SecurityOption
    property :name, 'Network_access_Let_Everyone_permissions_apply_to_anonymous_users'
    property :Network_access_Let_Everyone_permissions_apply_to_anonymous_users, node['Win2016STIG']['stigrule_88337']['Setting']['Network_access_Let_Everyone_permissions_apply_to_anonymous_users']
  end
end
if node['Win2016STIG']['stigrule_88339']['Manage']
  dsc_resource 'Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares_88339' do
    resource :SecurityOption
    property :name, 'Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares'
    property :Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares, node['Win2016STIG']['stigrule_88339']['Setting']['Network_access_Restrict_anonymous_access_to_Named_Pipes_and_Shares']
  end
end
if node['Win2016STIG']['stigrule_88343']['Manage']
  dsc_resource 'Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM_88343' do
    resource :SecurityOption
    property :name, 'Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM'
    property :Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM, node['Win2016STIG']['stigrule_88343']['Setting']['Network_security_Allow_Local_System_to_use_computer_identity_for_NTLM']
  end
end
if node['Win2016STIG']['stigrule_88345']['Manage']
  dsc_resource 'Network_security_Allow_LocalSystem_NULL_session_fallback_88345' do
    resource :SecurityOption
    property :name, 'Network_security_Allow_LocalSystem_NULL_session_fallback'
    property :Network_security_Allow_LocalSystem_NULL_session_fallback, node['Win2016STIG']['stigrule_88345']['Setting']['Network_security_Allow_LocalSystem_NULL_session_fallback']
  end
end
if node['Win2016STIG']['stigrule_88347']['Manage']
  dsc_resource 'Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities_88347' do
    resource :SecurityOption
    property :name, 'Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities'
    property :Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities, node['Win2016STIG']['stigrule_88347']['Setting']['Network_Security_Allow_PKU2U_authentication_requests_to_this_computer_to_use_online_identities']
  end
end
if node['Win2016STIG']['stigrule_88351']['Manage']
  dsc_resource 'Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change_88351' do
    resource :SecurityOption
    property :name, 'Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change'
    property :Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change, node['Win2016STIG']['stigrule_88351']['Setting']['Network_security_Do_not_store_LAN_Manager_hash_value_on_next_password_change']
  end
end
if node['Win2016STIG']['stigrule_88355']['Manage']
  dsc_resource 'Network_security_LAN_Manager_authentication_level_88355' do
    resource :SecurityOption
    property :name, 'Network_security_LAN_Manager_authentication_level'
    property :Network_security_LAN_Manager_authentication_level, node['Win2016STIG']['stigrule_88355']['Setting']['Network_security_LAN_Manager_authentication_level']
  end
end
if node['Win2016STIG']['stigrule_88357']['Manage']
  dsc_resource 'Network_security_LDAP_client_signing_requirements_88357' do
    resource :SecurityOption
    property :name, 'Network_security_LDAP_client_signing_requirements'
    property :Network_security_LDAP_client_signing_requirements, node['Win2016STIG']['stigrule_88357']['Setting']['Network_security_LDAP_client_signing_requirements']
  end
end
if node['Win2016STIG']['stigrule_88359']['Manage']
  dsc_resource 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients_88359' do
    resource :SecurityOption
    property :name, 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients'
    property :Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients, node['Win2016STIG']['stigrule_88359']['Setting']['Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_clients']
  end
end
if node['Win2016STIG']['stigrule_88361']['Manage']
  dsc_resource 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers_88361' do
    resource :SecurityOption
    property :name, 'Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers'
    property :Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers, node['Win2016STIG']['stigrule_88361']['Setting']['Network_security_Minimum_session_security_for_NTLM_SSP_based_including_secure_RPC_servers']
  end
end
if node['Win2016STIG']['stigrule_88363']['Manage']
  dsc_resource 'System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer_88363' do
    resource :SecurityOption
    property :name, 'System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer'
    property :System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer, node['Win2016STIG']['stigrule_88363']['Setting']['System_cryptography_Force_strong_key_protection_for_user_keys_stored_on_the_computer']
  end
end
if node['Win2016STIG']['stigrule_88365']['Manage']
  dsc_resource 'System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing_88365' do
    resource :SecurityOption
    property :name, 'System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing'
    property :System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing, node['Win2016STIG']['stigrule_88365']['Setting']['System_cryptography_Use_FIPS_compliant_algorithms_for_encryption_hashing_and_signing']
  end
end
if node['Win2016STIG']['stigrule_88369']['Manage']
  dsc_resource 'System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links_88369' do
    resource :SecurityOption
    property :name, 'System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links'
    property :System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links, node['Win2016STIG']['stigrule_88369']['Setting']['System_objects_Strengthen_default_permissions_of_internal_system_objects_eg_Symbolic_Links']
  end
end
if node['Win2016STIG']['stigrule_88371']['Manage']
  dsc_resource 'User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account_88371' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account'
    property :User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account, node['Win2016STIG']['stigrule_88371']['Setting']['User_Account_Control_Admin_Approval_Mode_for_the_Built_in_Administrator_account']
  end
end
if node['Win2016STIG']['stigrule_88373']['Manage']
  dsc_resource 'User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop_88373' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop'
    property :User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop, node['Win2016STIG']['stigrule_88373']['Setting']['User_Account_Control_Allow_UIAccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop']
  end
end
if node['Win2016STIG']['stigrule_88375']['Manage']
  dsc_resource 'User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode_88375' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode'
    property :User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode, node['Win2016STIG']['stigrule_88375']['Setting']['User_Account_Control_Behavior_of_the_elevation_prompt_for_administrators_in_Admin_Approval_Mode']
  end
end
if node['Win2016STIG']['stigrule_88377']['Manage']
  dsc_resource 'User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users_88377' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users'
    property :User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users, node['Win2016STIG']['stigrule_88377']['Setting']['User_Account_Control_Behavior_of_the_elevation_prompt_for_standard_users']
  end
end
if node['Win2016STIG']['stigrule_88379']['Manage']
  dsc_resource 'User_Account_Control_Detect_application_installations_and_prompt_for_elevation_88379' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Detect_application_installations_and_prompt_for_elevation'
    property :User_Account_Control_Detect_application_installations_and_prompt_for_elevation, node['Win2016STIG']['stigrule_88379']['Setting']['User_Account_Control_Detect_application_installations_and_prompt_for_elevation']
  end
end
if node['Win2016STIG']['stigrule_88381']['Manage']
  dsc_resource 'User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations_88381' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations'
    property :User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations, node['Win2016STIG']['stigrule_88381']['Setting']['User_Account_Control_Only_elevate_UIAccess_applications_that_are_installed_in_secure_locations']
  end
end
if node['Win2016STIG']['stigrule_88383']['Manage']
  dsc_resource 'User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode_88383' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode'
    property :User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode, node['Win2016STIG']['stigrule_88383']['Setting']['User_Account_Control_Run_all_administrators_in_Admin_Approval_Mode']
  end
end
if node['Win2016STIG']['stigrule_88385']['Manage']
  dsc_resource 'User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations_88385' do
    resource :SecurityOption
    property :name, 'User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations'
    property :User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations, node['Win2016STIG']['stigrule_88385']['Setting']['User_Account_Control_Virtualize_file_and_registry_write_failures_to_per_user_locations']
  end
end
if node['Win2016STIG']['stigrule_88393']['Manage']
  dsc_resource 'Access_Credential_Manager_as_a_trusted_caller_88393' do
    resource :UserRightsAssignment
    property :Policy, 'Access_Credential_Manager_as_a_trusted_caller'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88393']['Setting']['Access_Credential_Manager_as_a_trusted_caller_Identity']
  end
end
if node['Win2016STIG']['stigrule_88395']['Manage']
  dsc_resource 'Access_this_computer_from_the_network_88395' do
    resource :UserRightsAssignment
    property :Policy, 'Access_this_computer_from_the_network'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88395']['Setting']['Access_this_computer_from_the_network_Identity']
  end
end
if node['Win2016STIG']['stigrule_88397']['Manage']
  dsc_resource 'Access_this_computer_from_the_network_88397' do
    resource :UserRightsAssignment
    property :Policy, 'Access_this_computer_from_the_network'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88397']['Setting']['Access_this_computer_from_the_network_Identity']
  end
end
if node['Win2016STIG']['stigrule_88399']['Manage']
  dsc_resource 'Act_as_part_of_the_operating_system_88399' do
    resource :UserRightsAssignment
    property :Policy, 'Act_as_part_of_the_operating_system'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88399']['Setting']['Act_as_part_of_the_operating_system_Identity']
  end
end
if node['Win2016STIG']['stigrule_88401']['Manage']
  dsc_resource 'Add_workstations_to_domain_88401' do
    resource :UserRightsAssignment
    property :Policy, 'Add_workstations_to_domain'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88401']['Setting']['Add_workstations_to_domain_Identity']
  end
end
if node['Win2016STIG']['stigrule_88403']['Manage']
  dsc_resource 'Allow_log_on_locally_88403' do
    resource :UserRightsAssignment
    property :Policy, 'Allow_log_on_locally'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88403']['Setting']['Allow_log_on_locally_Identity']
  end
end
if node['Win2016STIG']['stigrule_88405']['Manage']
  dsc_resource 'Allow_log_on_through_Remote_Desktop_Services_88405' do
    resource :UserRightsAssignment
    property :Policy, 'Allow_log_on_through_Remote_Desktop_Services'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88405']['Setting']['Allow_log_on_through_Remote_Desktop_Services_Identity']
  end
end
if node['Win2016STIG']['stigrule_88407']['Manage']
  dsc_resource 'Back_up_files_and_directories_88407' do
    resource :UserRightsAssignment
    property :Policy, 'Back_up_files_and_directories'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88407']['Setting']['Back_up_files_and_directories_Identity']
  end
end
if node['Win2016STIG']['stigrule_88409']['Manage']
  dsc_resource 'Create_a_pagefile_88409' do
    resource :UserRightsAssignment
    property :Policy, 'Create_a_pagefile'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88409']['Setting']['Create_a_pagefile_Identity']
  end
end
if node['Win2016STIG']['stigrule_88411']['Manage']
  dsc_resource 'Create_a_token_object_88411' do
    resource :UserRightsAssignment
    property :Policy, 'Create_a_token_object'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88411']['Setting']['Create_a_token_object_Identity']
  end
end
if node['Win2016STIG']['stigrule_88413']['Manage']
  dsc_resource 'Create_global_objects_88413' do
    resource :UserRightsAssignment
    property :Policy, 'Create_global_objects'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88413']['Setting']['Create_global_objects_Identity']
  end
end
if node['Win2016STIG']['stigrule_88415']['Manage']
  dsc_resource 'Create_permanent_shared_objects_88415' do
    resource :UserRightsAssignment
    property :Policy, 'Create_permanent_shared_objects'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88415']['Setting']['Create_permanent_shared_objects_Identity']
  end
end
if node['Win2016STIG']['stigrule_88417']['Manage']
  dsc_resource 'Create_symbolic_links_88417' do
    resource :UserRightsAssignment
    property :Policy, 'Create_symbolic_links'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88417']['Setting']['Create_symbolic_links_Identity']
  end
end
if node['Win2016STIG']['stigrule_88419']['Manage']
  dsc_resource 'Debug_programs_88419' do
    resource :UserRightsAssignment
    property :Policy, 'Debug_programs'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88419']['Setting']['Debug_programs_Identity']
  end
end
if node['Win2016STIG']['stigrule_88421']['Manage']
  dsc_resource 'Deny_access_to_this_computer_from_the_network_88421' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_access_to_this_computer_from_the_network'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88421']['Setting']['Deny_access_to_this_computer_from_the_network_Identity']
  end
end
if node['Win2016STIG']['stigrule_88423']['Manage']
  dsc_resource 'Deny_access_to_this_computer_from_the_network_88423' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_access_to_this_computer_from_the_network'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88423']['Setting']['Deny_access_to_this_computer_from_the_network_Identity']
  end
end
if node['Win2016STIG']['stigrule_88425']['Manage']
  dsc_resource 'Deny_log_on_as_a_batch_job_88425' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_as_a_batch_job'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88425']['Setting']['Deny_log_on_as_a_batch_job_Identity']
  end
end
if node['Win2016STIG']['stigrule_88427']['Manage']
  dsc_resource 'Deny_log_on_as_a_batch_job_88427' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_as_a_batch_job'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88427']['Setting']['Deny_log_on_as_a_batch_job_Identity']
  end
end
if node['Win2016STIG']['stigrule_88429']['Manage']
  dsc_resource 'Deny_log_on_as_a_service_88429' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_as_a_service'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88429']['Setting']['Deny_log_on_as_a_service_Identity']
  end
end
if node['Win2016STIG']['stigrule_88431']['Manage']
  dsc_resource 'Deny_log_on_as_a_service_88431' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_as_a_service'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88431']['Setting']['Deny_log_on_as_a_service_Identity']
  end
end
if node['Win2016STIG']['stigrule_88433']['Manage']
  dsc_resource 'Deny_log_on_locally_88433' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_locally'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88433']['Setting']['Deny_log_on_locally_Identity']
  end
end
if node['Win2016STIG']['stigrule_88435']['Manage']
  dsc_resource 'Deny_log_on_locally_88435' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_locally'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88435']['Setting']['Deny_log_on_locally_Identity']
  end
end
if node['Win2016STIG']['stigrule_88437']['Manage']
  dsc_resource 'Deny_log_on_through_Remote_Desktop_Services_88437' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_through_Remote_Desktop_Services'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88437']['Setting']['Deny_log_on_through_Remote_Desktop_Services_Identity']
  end
end
if node['Win2016STIG']['stigrule_88439']['Manage']
  dsc_resource 'Deny_log_on_through_Remote_Desktop_Services_88439' do
    resource :UserRightsAssignment
    property :Policy, 'Deny_log_on_through_Remote_Desktop_Services'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88439']['Setting']['Deny_log_on_through_Remote_Desktop_Services_Identity']
  end
end
if node['Win2016STIG']['stigrule_88441']['Manage']
  dsc_resource 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation_88441' do
    resource :UserRightsAssignment
    property :Policy, 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88441']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity']
  end
end
if node['Win2016STIG']['stigrule_88443']['Manage']
  dsc_resource 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation_88443' do
    resource :UserRightsAssignment
    property :Policy, 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88443']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Identity']
  end
end
if node['Win2016STIG']['stigrule_88445']['Manage']
  dsc_resource 'Force_shutdown_from_a_remote_system_88445' do
    resource :UserRightsAssignment
    property :Policy, 'Force_shutdown_from_a_remote_system'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88445']['Setting']['Force_shutdown_from_a_remote_system_Identity']
  end
end
if node['Win2016STIG']['stigrule_88447']['Manage']
  dsc_resource 'Generate_security_audits_88447' do
    resource :UserRightsAssignment
    property :Policy, 'Generate_security_audits'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88447']['Setting']['Generate_security_audits_Identity']
  end
end
if node['Win2016STIG']['stigrule_88449']['Manage']
  dsc_resource 'Impersonate_a_client_after_authentication_88449' do
    resource :UserRightsAssignment
    property :Policy, 'Impersonate_a_client_after_authentication'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88449']['Setting']['Impersonate_a_client_after_authentication_Identity']
  end
end
if node['Win2016STIG']['stigrule_88451']['Manage']
  dsc_resource 'Increase_scheduling_priority_88451' do
    resource :UserRightsAssignment
    property :Policy, 'Increase_scheduling_priority'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88451']['Setting']['Increase_scheduling_priority_Identity']
  end
end
if node['Win2016STIG']['stigrule_88453']['Manage']
  dsc_resource 'Load_and_unload_device_drivers_88453' do
    resource :UserRightsAssignment
    property :Policy, 'Load_and_unload_device_drivers'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88453']['Setting']['Load_and_unload_device_drivers_Identity']
  end
end
if node['Win2016STIG']['stigrule_88455']['Manage']
  dsc_resource 'Lock_pages_in_memory_88455' do
    resource :UserRightsAssignment
    property :Policy, 'Lock_pages_in_memory'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88455']['Setting']['Lock_pages_in_memory_Identity']
  end
end
if node['Win2016STIG']['stigrule_88457']['Manage']
  dsc_resource 'Manage_auditing_and_security_log_88457' do
    resource :UserRightsAssignment
    property :Policy, 'Manage_auditing_and_security_log'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88457']['Setting']['Manage_auditing_and_security_log_Identity']
  end
end
if node['Win2016STIG']['stigrule_88459']['Manage']
  dsc_resource 'Modify_firmware_environment_values_88459' do
    resource :UserRightsAssignment
    property :Policy, 'Modify_firmware_environment_values'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88459']['Setting']['Modify_firmware_environment_values_Identity']
  end
end
if node['Win2016STIG']['stigrule_88461']['Manage']
  dsc_resource 'Perform_volume_maintenance_tasks_88461' do
    resource :UserRightsAssignment
    property :Policy, 'Perform_volume_maintenance_tasks'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88461']['Setting']['Perform_volume_maintenance_tasks_Identity']
  end
end
if node['Win2016STIG']['stigrule_88463']['Manage']
  dsc_resource 'Profile_single_process_88463' do
    resource :UserRightsAssignment
    property :Policy, 'Profile_single_process'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88463']['Setting']['Profile_single_process_Identity']
  end
end
if node['Win2016STIG']['stigrule_88465']['Manage']
  dsc_resource 'Restore_files_and_directories_88465' do
    resource :UserRightsAssignment
    property :Policy, 'Restore_files_and_directories'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88465']['Setting']['Restore_files_and_directories_Identity']
  end
end
if node['Win2016STIG']['stigrule_88467']['Manage']
  dsc_resource 'Take_ownership_of_files_or_other_objects_88467' do
    resource :UserRightsAssignment
    property :Policy, 'Take_ownership_of_files_or_other_objects'
    property :Force, true
    property :Identity, node['Win2016STIG']['stigrule_88467']['Setting']['Take_ownership_of_files_or_other_objects_Identity']
  end
end
if node['Win2016STIG']['stigrule_88473']['Manage']
  dsc_resource 'Interactive_logon_Smart_card_removal_behavior_88473' do
    resource :SecurityOption
    property :name, 'Interactive_logon_Smart_card_removal_behavior'
    property :Interactive_logon_Smart_card_removal_behavior, node['Win2016STIG']['stigrule_88473']['Setting']['Interactive_logon_Smart_card_removal_behavior']
  end
end
if node['Win2016STIG']['stigrule_88475']['Manage']
  dsc_resource 'Accounts_Guest_account_status_88475' do
    resource :SecurityOption
    property :name, 'Accounts_Guest_account_status'
    property :Accounts_Guest_account_status, node['Win2016STIG']['stigrule_88475']['Setting']['Accounts_Guest_account_status']
  end
end
if node['Win2016STIG']['stigrule_92829']['Manage']
  registry_key 'SMB1_92829' do
    key node['Win2016STIG']['stigrule_92829']['Setting']['SMB1_Key']
    values [{
      name: 'SMB1',
      type: node['Win2016STIG']['stigrule_92829']['Setting']['SMB1_ValueType'],
      data: node['Win2016STIG']['stigrule_92829']['Setting']['SMB1_ValueData']
    }]
    action node['Win2016STIG']['stigrule_92829']['Setting']['SMB1_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['stigrule_92831']['Manage']
  registry_key 'Start_92831' do
    key node['Win2016STIG']['stigrule_92831']['Setting']['Start_Key']
    values [{
      name: 'Start',
      type: node['Win2016STIG']['stigrule_92831']['Setting']['Start_ValueType'],
      data: node['Win2016STIG']['stigrule_92831']['Setting']['Start_ValueData']
    }]
    action node['Win2016STIG']['stigrule_92831']['Setting']['Start_Ensure']
    recursive true
  end
end
if node['Win2016STIG']['XCCDF_result']['Manage']
  cookbook_file "#{Chef::Config[:file_cache_path]}/stig_xml.rb" do
    source 'stig_xml.rb'
  end
  cookbook_file "#{Chef::Config[:file_cache_path]}/U_MS_Windows_Server_2016_STIG_V1R10_Manual-xccdf.xml" do
    source 'U_MS_Windows_Server_2016_STIG_V1R10_Manual-xccdf.xml'
  end
  chef_handler 'Chef::Handler::StigXml' do
    source "#{Chef::Config[:file_cache_path]}/stig_xml.rb"
    arguments :stigName => 'U_MS_Windows_Server_2016_STIG_V1R10_Manual-xccdf.xml'
  end
end